/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: rsiditem.hxx,v $
 * $Revision: 1.0 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
 
#ifndef _SVX_RSIDITEM_HXX
#define _SVX_RSIDITEM_HXX

#include <svtools/intitem.hxx>
#include <svx/svddef.hxx>
#include "svx/svxdllapi.h"

//----------------------
// SvxRsidItem 
//----------------------

class SVX_DLLPUBLIC SvxRsidItem : public SfxUInt32Item
{
public:
	TYPEINFO();

	SvxRsidItem( UINT32 nRsid, USHORT nId ) : SfxUInt32Item( nId, nRsid ) {}
	SvxRsidItem( SvStream& rIn, USHORT nId ) : SfxUInt32Item( nId, rIn ) {}

	virtual SfxPoolItem* Clone( SfxItemPool* pPool = NULL ) const;
	virtual SfxPoolItem* Create( SvStream& rIn, USHORT nVer ) const;

	virtual sal_Bool QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual sal_Bool PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );
};

#endif // _SVX_RSIDITEM_HXX
