/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: animationstate.hxx,v $
 * $Revision: 1.5 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef _SDR_MEDIA_MEDIALINK_HXX
#define _SDR_MEDIA_MEDIALINK_HXX

#include <sal/types.h>
#include <rtl/ref.hxx>
#include <comphelper/weak.hxx>
#include "svx/svxdllapi.h"

//////////////////////////////////////////////////////////////////////////////
// predeclarations

namespace sdr {	namespace media {

class MediaManager;

class SVX_DLLPUBLIC MediaLink : public ::cppu::OWeakObject
{
public:
    MediaLink( const rtl::Reference< MediaManager >& xManager, const rtl::OUString& rURL, bool bLinked );
    ~MediaLink();

    rtl::OUString getMediaURL() const { return msURL; }
    rtl::OUString getTempFileURL() const { return msTempFileURL; }
    rtl::OUString getOrCreateTempFileURL();
    
	rtl::OUString getMimeType() const { return msMimeType; }
	rtl::OUString getFilterName() const { return msFilterName; }

    bool isLinked() const { return mbLinked; }

	MediaManager* getMediaManager() const { return mpManager; }

private:
	MediaManager* mpManager;
    bool mbLinked;
    rtl::OUString msURL;
    rtl::OUString msTempFileURL;
	rtl::OUString msMimeType;
	rtl::OUString msFilterName;
};

typedef rtl::Reference< MediaLink > MediaLinkRef;

} // end of namespace animation
} // end of namespace sdr

//////////////////////////////////////////////////////////////////////////////

#endif //_SDR_MEDIA_MEDIALINK_HXX

// eof
