/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: 
 * $Revision: 
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef VBAEVENTS_HELPER_BASE_HXX
#define VBAEVENTS_HELPER_BASE_HXX

#include <com/sun/star/uno/XComponentContext.hpp>
#include <vbahelper/vbahelperinterface.hxx>
#include <map>

class VBAHELPER_DLLPUBLIC VbaEventsHelperBase
{
protected:
    css::uno::Reference< css::uno::XComponentContext > m_xContext;
    sal_Bool mbIgnoreEvents;
    std::map< sal_Int32, rtl::OUString > m_aEventNameMap;

protected:    
    void insert( const sal_Int32 nId, const rtl::OUString& sEventName );
    rtl::OUString getEventName( const sal_Int32 nEventId );

public:    
    VbaEventsHelperBase( const css::uno::Reference< css::uno::XComponentContext >& xContext );
    virtual void SAL_CALL setIgnoreEvents( ::sal_Bool _ignoreevents ) throw (css::uno::RuntimeException);
    virtual ::sal_Bool SAL_CALL getIgnoreEvents() throw (css::uno::RuntimeException);
};

#endif /* VBAEVENTS_HELPER_BASE_HXX */
