/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * Copyright 2000, 2010 Oracle and/or its affiliates.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef _XMLOFF_XMLKYWD_HXX
#define _XMLOFF_XMLKYWD_HXX

#include <tools/string.hxx>

/*
 * THIS FILE IS DEPRECATED. IT IS SUPERSEDED BY XMLTOKEN.HXX.
 *
 * Please use xmltoken.hxx / xmltoken.cxx from now on.
 */


/* if XML_DEFINE_KEYWORDS is defined the variables are
   defined rather than declared. So this file MUST be included
   WITHOUT this define.

   (Except the xmlkywd.cxx file that actually defines the
    variables which sets this define.)
 */

#ifndef XML_DEFINE_KEYWORDS
#define XML_CONSTASCII_ACTION( n, s ) extern sal_Char __FAR_DATA n[sizeof(s)]
#else
#define XML_CONSTASCII_ACTION( n, s ) sal_Char __FAR_DATA n[sizeof(s)] = s
#endif

// common XML
XML_CONSTASCII_ACTION( sXML_CDATA, "CDATA" );
XML_CONSTASCII_ACTION( sXML_WS, " " );
XML_CONSTASCII_ACTION( sXML_xml, "xml" );
XML_CONSTASCII_ACTION( sXML_xmlns, "xmlns" );
XML_CONSTASCII_ACTION( sXML_xml_pi, "version=\"1.0\" encoding=\"UTF-8\"" );
XML_CONSTASCII_ACTION( sXML_xml_doctype_prefix, "<!DOCTYPE " );
XML_CONSTASCII_ACTION( sXML_xml_doctype_suffix, " PUBLIC \"-//OpenOffice.org//DTD OfficeDocument 1.0//EN\" \"office.dtd\">" );

// namespace prefixes and names
XML_CONSTASCII_ACTION( sXML_np_office, "office" );
XML_CONSTASCII_ACTION( sXML_n_office, "http://openoffice.org/2000/office" );
XML_CONSTASCII_ACTION( sXML_n_office_old, "http://sun.com/xmlns/staroffice/office" );
XML_CONSTASCII_ACTION( sXML_np_meta, "meta" );
XML_CONSTASCII_ACTION( sXML_n_meta, "http://openoffice.org/2000/meta" );
XML_CONSTASCII_ACTION( sXML_n_meta_old, "http://sun.com/xmlns/staroffice/meta" );
XML_CONSTASCII_ACTION( sXML_np_style, "style" );
XML_CONSTASCII_ACTION( sXML_n_style, "http://openoffice.org/2000/style" );
XML_CONSTASCII_ACTION( sXML_n_style_old, "http://sun.com/xmlns/staroffice/style" );
XML_CONSTASCII_ACTION( sXML_np_number, "number" );
XML_CONSTASCII_ACTION( sXML_n_number, "http://openoffice.org/2000/datastyle" );
XML_CONSTASCII_ACTION( sXML_n_number_old, "http://sun.com/xmlns/staroffice/number" );
XML_CONSTASCII_ACTION( sXML_np_text, "text" );
XML_CONSTASCII_ACTION( sXML_n_text, "http://openoffice.org/2000/text" );
XML_CONSTASCII_ACTION( sXML_n_text_old, "http://sun.com/xmlns/staroffice/text" );
XML_CONSTASCII_ACTION( sXML_np_table, "table" );
XML_CONSTASCII_ACTION( sXML_n_table, "http://openoffice.org/2000/table" );
XML_CONSTASCII_ACTION( sXML_n_table_old, "http://sun.com/xmlns/staroffice/table" );
XML_CONSTASCII_ACTION( sXML_np_draw, "draw" );
XML_CONSTASCII_ACTION( sXML_n_draw, "http://openoffice.org/2000/drawing" );
XML_CONSTASCII_ACTION( sXML_np_dr3d, "dr3d" );
XML_CONSTASCII_ACTION( sXML_n_dr3d, "http://openoffice.org/2000/dr3d" );
XML_CONSTASCII_ACTION( sXML_n_draw_old, "http://sun.com/xmlns/staroffice/draw" );
XML_CONSTASCII_ACTION( sXML_np_presentation, "presentation" );
XML_CONSTASCII_ACTION( sXML_n_presentation, "http://openoffice.org/2000/presentation" );
XML_CONSTASCII_ACTION( sXML_n_presentation_old, "http://sun.com/xmlns/staroffice/presentation" );
XML_CONSTASCII_ACTION( sXML_np_chart, "chart" );
XML_CONSTASCII_ACTION( sXML_n_chart, "http://openoffice.org/2000/chart" );
XML_CONSTASCII_ACTION( sXML_np_config, "config" );
XML_CONSTASCII_ACTION( sXML_n_config, "http://openoffice.org/2001/config" );
XML_CONSTASCII_ACTION( sXML_n_chart_old, "http://sun.com/xmlns/staroffice/chart" );
XML_CONSTASCII_ACTION( sXML_np_fo, "fo" );
XML_CONSTASCII_ACTION( sXML_n_fo_old, "http://www.w3.org/1999/XSL/Format/" );
XML_CONSTASCII_ACTION( sXML_n_fo, "http://www.w3.org/1999/XSL/Format" );
XML_CONSTASCII_ACTION( sXML_np_xlink, "xlink" );
XML_CONSTASCII_ACTION( sXML_n_xlink, "http://www.w3.org/1999/xlink" );
XML_CONSTASCII_ACTION( sXML_n_xlink_old, "http://www.w3.org/1999/xlink/namespace" );
XML_CONSTASCII_ACTION( sXML_np_dc, "dc" );
XML_CONSTASCII_ACTION( sXML_n_dc, "http://purl.org/dc/elements/1.1/" );
XML_CONSTASCII_ACTION( sXML_np_svg, "svg" );
XML_CONSTASCII_ACTION( sXML_n_svg, "http://www.w3.org/2000/svg" );
XML_CONSTASCII_ACTION( sXML_namespace_form, "form" );
XML_CONSTASCII_ACTION( sXML_url_form, "http://openoffice.org/2000/form" );
XML_CONSTASCII_ACTION( sXML_namespace_script, "script" );
XML_CONSTASCII_ACTION( sXML_url_script, "http://openoffice.org/2000/script" );

XML_CONSTASCII_ACTION( sXML_np_block_list, "block-list");
XML_CONSTASCII_ACTION( sXML_n_block_list, "http://openoffice.org/2001/block-list" );

XML_CONSTASCII_ACTION( sXML_np_math, "math");
XML_CONSTASCII_ACTION( sXML_n_math, "http://www.w3.org/1998/Math/MathML" );

XML_CONSTASCII_ACTION( sXML_np_versions_list, "VL");
XML_CONSTASCII_ACTION( sXML_n_versions_list, "http://openoffice.org/2001/versions-list" );

// units
XML_CONSTASCII_ACTION( sXML_unit_mm, "mm" );
XML_CONSTASCII_ACTION( sXML_unit_m, "m" );
XML_CONSTASCII_ACTION( sXML_unit_km, "km" );
XML_CONSTASCII_ACTION( sXML_unit_cm, "cm" );
XML_CONSTASCII_ACTION( sXML_unit_pt, "pt" );
XML_CONSTASCII_ACTION( sXML_unit_pc, "pc" );
XML_CONSTASCII_ACTION( sXML_unit_foot, "ft" );
XML_CONSTASCII_ACTION( sXML_unit_miles, "mi" );
XML_CONSTASCII_ACTION( sXML_unit_inch, "inch" );

// any other
XML_CONSTASCII_ACTION( sXML_1, "1" );
XML_CONSTASCII_ACTION( sXML_10, "10" );
XML_CONSTASCII_ACTION( sXML_2, "2" );
XML_CONSTASCII_ACTION( sXML_3, "3" );
XML_CONSTASCII_ACTION( sXML_4, "4" );
XML_CONSTASCII_ACTION( sXML_5, "5" );
XML_CONSTASCII_ACTION( sXML_6, "6" );
XML_CONSTASCII_ACTION( sXML_7, "7" );
XML_CONSTASCII_ACTION( sXML_8, "8" );
XML_CONSTASCII_ACTION( sXML_9, "9" );
XML_CONSTASCII_ACTION( sXML_A, "A" );
XML_CONSTASCII_ACTION( sXML_I, "I" );
XML_CONSTASCII_ACTION( sXML_IBM437, "IBM437" );
XML_CONSTASCII_ACTION( sXML_IBM850, "IBM850" );
XML_CONSTASCII_ACTION( sXML_IBM860, "IBM860" );
XML_CONSTASCII_ACTION( sXML_IBM861, "IBM861" );
XML_CONSTASCII_ACTION( sXML_IBM863, "IBM863" );
XML_CONSTASCII_ACTION( sXML_IBM865, "IBM865" );
XML_CONSTASCII_ACTION( sXML_ISO_8859_1, "ISO-8859-1" );
XML_CONSTASCII_ACTION( sXML_OLE2, "ole2" );
XML_CONSTASCII_ACTION( sXML__colon, ":" );
XML_CONSTASCII_ACTION( sXML__empty, "" );
XML_CONSTASCII_ACTION( sXML__unknown_, "_unknown_" );
XML_CONSTASCII_ACTION( sXML_a, "a" );
XML_CONSTASCII_ACTION( sXML_abbreviated_name, "abbreviated-name" );
XML_CONSTASCII_ACTION( sXML_above, "above" );
XML_CONSTASCII_ACTION( sXML_abs, "abs" );
XML_CONSTASCII_ACTION( sXML_accent, "accent" );
XML_CONSTASCII_ACTION( sXML_accentunder, "accentunder" );
XML_CONSTASCII_ACTION( sXML_acceptance_state, "acceptance-state" );
XML_CONSTASCII_ACTION( sXML_accepted, "accepted" );
XML_CONSTASCII_ACTION( sXML_action, "action" );
XML_CONSTASCII_ACTION( sXML_active, "active" );
XML_CONSTASCII_ACTION( sXML_active_split_range, "active-split-range" );
XML_CONSTASCII_ACTION( sXML_active_table, "active-table" );
XML_CONSTASCII_ACTION( sXML_actuate, "actuate" );
XML_CONSTASCII_ACTION( sXML_add_in, "add-in" );
XML_CONSTASCII_ACTION( sXML_add_in_name, "add-in-name" );
XML_CONSTASCII_ACTION( sXML_address, "address" );
XML_CONSTASCII_ACTION( sXML_adjustment, "adjustment" );
XML_CONSTASCII_ACTION( sXML_algorithm, "algorithm" );
XML_CONSTASCII_ACTION( sXML_align, "align" );
XML_CONSTASCII_ACTION( sXML_all, "all" );
XML_CONSTASCII_ACTION( sXML_allow_empty_cell, "allow-empty-cell" );
XML_CONSTASCII_ACTION( sXML_alphabetical_index, "alphabetical-index" );
XML_CONSTASCII_ACTION( sXML_alphabetical_index_auto_mark_file, "alphabetical-index-auto-mark-file" );
XML_CONSTASCII_ACTION( sXML_alphabetical_index_entry_template, "alphabetical-index-entry-template" );
XML_CONSTASCII_ACTION( sXML_alphabetical_index_mark, "alphabetical-index-mark" );
XML_CONSTASCII_ACTION( sXML_alphabetical_index_mark_end, "alphabetical-index-mark-end" );
XML_CONSTASCII_ACTION( sXML_alphabetical_index_mark_start, "alphabetical-index-mark-start" );
XML_CONSTASCII_ACTION( sXML_alphabetical_index_source, "alphabetical-index-source" );
XML_CONSTASCII_ACTION( sXML_alphabetical_separators, "alphabetical-separators" );
XML_CONSTASCII_ACTION( sXML_alternate, "alternate" );
XML_CONSTASCII_ACTION( sXML_am_pm, "am-pm" );
XML_CONSTASCII_ACTION( sXML_ambient_color, "ambient-color");
XML_CONSTASCII_ACTION( sXML_anchor_page_number, "anchor-page-number" );
XML_CONSTASCII_ACTION( sXML_anchor_type, "anchor-type" );
XML_CONSTASCII_ACTION( sXML_and, "and" );
XML_CONSTASCII_ACTION( sXML_animation, "animation" );
XML_CONSTASCII_ACTION( sXML_animation_direction, "animation-direction" );
XML_CONSTASCII_ACTION( sXML_animation_start_inside, "animation-start-inside" );
XML_CONSTASCII_ACTION( sXML_animation_stop_inside, "animation-stop-inside" );
XML_CONSTASCII_ACTION( sXML_animation_repeat, "animation-repeat" );
XML_CONSTASCII_ACTION( sXML_animation_delay, "animation-delay" );
XML_CONSTASCII_ACTION( sXML_animation_steps, "animation-steps" );
XML_CONSTASCII_ACTION( sXML_annotation, "annotation" );
XML_CONSTASCII_ACTION( sXML_annotations, "annotations" );
XML_CONSTASCII_ACTION( sXML_annote, "annote" );
XML_CONSTASCII_ACTION( sXML_applet, "applet");
XML_CONSTASCII_ACTION( sXML_applet_name, "applet-name");
XML_CONSTASCII_ACTION( sXML_application_data, "application-data");
XML_CONSTASCII_ACTION( sXML_application_xml, "application-xml");
XML_CONSTASCII_ACTION( sXML_apply, "apply" );
XML_CONSTASCII_ACTION( sXML_apply_style_name, "apply-style-name" );
XML_CONSTASCII_ACTION( sXML_aqua, "aqua" );
XML_CONSTASCII_ACTION( sXML_arccos, "arccos" );
XML_CONSTASCII_ACTION( sXML_archive, "archive" );
XML_CONSTASCII_ACTION( sXML_arcsin, "arcsin" );
XML_CONSTASCII_ACTION( sXML_arctan, "arctan" );
XML_CONSTASCII_ACTION( sXML_area, "area" );
XML_CONSTASCII_ACTION( sXML_area_circle, "area-circle" );
XML_CONSTASCII_ACTION( sXML_area_polygon, "area-polygon" );
XML_CONSTASCII_ACTION( sXML_area_rectangle, "area-rectangle" );
XML_CONSTASCII_ACTION( sXML_article, "article" );
XML_CONSTASCII_ACTION( sXML_as_char, "as-char" );
XML_CONSTASCII_ACTION( sXML_ascending, "ascending");
XML_CONSTASCII_ACTION( sXML_attached_axis, "attached-axis" );
XML_CONSTASCII_ACTION( sXML_attractive, "attractive");
XML_CONSTASCII_ACTION( sXML_author, "author" );
XML_CONSTASCII_ACTION( sXML_author_initials, "author-initials" );
XML_CONSTASCII_ACTION( sXML_author_name, "author-name" );
XML_CONSTASCII_ACTION( sXML_auto, "auto" );
XML_CONSTASCII_ACTION( sXML_auto_grow_height, "auto-grow-height" );
XML_CONSTASCII_ACTION( sXML_auto_grow_width, "auto-grow-width" );
XML_CONSTASCII_ACTION( sXML_auto_reload, "auto-reload" );
XML_CONSTASCII_ACTION( sXML_auto_text, "auto-text" );
XML_CONSTASCII_ACTION( sXML_auto_text_events, "auto-text-events" );
XML_CONSTASCII_ACTION( sXML_auto_text_group, "auto-text-group" );
XML_CONSTASCII_ACTION( sXML_auto_text_indent, "auto-text-indent" );
XML_CONSTASCII_ACTION( sXML_up, "up" );
XML_CONSTASCII_ACTION( sXML_auto_update, "auto-update" );
XML_CONSTASCII_ACTION( sXML_automatic, "automatic");
XML_CONSTASCII_ACTION( sXML_automatic_find_labels, "automatic-find-labels" );
XML_CONSTASCII_ACTION( sXML_automatic_order, "automatic-order" );
XML_CONSTASCII_ACTION( sXML_automatic_styles, "automatic-styles" );
XML_CONSTASCII_ACTION( sXML_automatic_update, "automatic-update" );
XML_CONSTASCII_ACTION( sXML_average, "average" );
XML_CONSTASCII_ACTION( sXML_axis, "axis" );
XML_CONSTASCII_ACTION( sXML_back_scale, "back-scale" );
XML_CONSTASCII_ACTION( sXML_backface_culling, "backface-culling" );
XML_CONSTASCII_ACTION( sXML_background, "background" );
XML_CONSTASCII_ACTION( sXML_background_color, "background-color" );
XML_CONSTASCII_ACTION( sXML_background_image, "background-image" );
XML_CONSTASCII_ACTION( sXML_background_no_repeat, "no-repeat" );
XML_CONSTASCII_ACTION( sXML_background_objects_visible, "background-objects-visible" );
XML_CONSTASCII_ACTION( sXML_background_repeat, "repeat" );
XML_CONSTASCII_ACTION( sXML_background_stretch, "stretch" );
XML_CONSTASCII_ACTION( sXML_background_visible, "background-visible" );
XML_CONSTASCII_ACTION( sXML_bar, "bar" );
XML_CONSTASCII_ACTION( sXML_base64Binary, "base64Binary");
XML_CONSTASCII_ACTION( sXML_base_cell_address, "base-cell-address");
XML_CONSTASCII_ACTION( sXML_baseline, "baseline" );
XML_CONSTASCII_ACTION( sXML_before_date_time, "before-date-time" );
XML_CONSTASCII_ACTION( sXML_below , "below" );
XML_CONSTASCII_ACTION( sXML_between_date_times, "between-date-times" );
XML_CONSTASCII_ACTION( sXML_bevel , "bevel" );
XML_CONSTASCII_ACTION( sXML_bibiliographic_type, "bibiliographic-type" );
XML_CONSTASCII_ACTION( sXML_bibliography, "bibliography" );
XML_CONSTASCII_ACTION( sXML_bibliography_configuration, "bibliography-configuration" );
XML_CONSTASCII_ACTION( sXML_bibliography_data_field, "bibliography-data-field" );
XML_CONSTASCII_ACTION( sXML_bibliography_entry_template, "bibliography-entry-template" );
XML_CONSTASCII_ACTION( sXML_bibliography_mark, "bibliography-mark" );
XML_CONSTASCII_ACTION( sXML_bibliography_source, "bibliography-source" );
XML_CONSTASCII_ACTION( sXML_bibliography_type, "bibliography-type" );
XML_CONSTASCII_ACTION( sXML_bind_styles_to_content, "bind-styles-to-content");
XML_CONSTASCII_ACTION( sXML_bitmap , "bitmap" );
XML_CONSTASCII_ACTION( sXML_black, "black" );
XML_CONSTASCII_ACTION( sXML_blend, "blend" );
XML_CONSTASCII_ACTION( sXML_blinking, "blinking" );
XML_CONSTASCII_ACTION( sXML_block, "block" );
XML_CONSTASCII_ACTION( sXML_block_list, "block-list" );
XML_CONSTASCII_ACTION( sXML_blue , "blue" );
XML_CONSTASCII_ACTION( sXML_body, "body" );
XML_CONSTASCII_ACTION( sXML_bold, "bold" );
XML_CONSTASCII_ACTION( sXML_book, "book" );
XML_CONSTASCII_ACTION( sXML_booklet, "booklet" );
XML_CONSTASCII_ACTION( sXML_bookmark, "bookmark" );
XML_CONSTASCII_ACTION( sXML_bookmark_end, "bookmark-end" );
XML_CONSTASCII_ACTION( sXML_bookmark_ref, "bookmark-ref" );
XML_CONSTASCII_ACTION( sXML_bookmark_start, "bookmark-start" );
XML_CONSTASCII_ACTION( sXML_booktitle, "booktitle" );
XML_CONSTASCII_ACTION( sXML_boolean, "boolean");
XML_CONSTASCII_ACTION( sXML_boolean_style, "boolean-style" );
XML_CONSTASCII_ACTION( sXML_boolean_value, "boolean-value");
XML_CONSTASCII_ACTION( sXML_border, "border" );
XML_CONSTASCII_ACTION( sXML_border_bottom, "border-bottom" );
XML_CONSTASCII_ACTION( sXML_border_color, "border-color" );
XML_CONSTASCII_ACTION( sXML_border_left, "border-left" );
XML_CONSTASCII_ACTION( sXML_border_line_width, "border-line-width" );
XML_CONSTASCII_ACTION( sXML_border_line_width_bottom, "border-line-width-bottom" );
XML_CONSTASCII_ACTION( sXML_border_line_width_left, "border-line-width-left" );
XML_CONSTASCII_ACTION( sXML_border_line_width_right, "border-line-width-right" );
XML_CONSTASCII_ACTION( sXML_border_line_width_top, "border-line-width-top" );
XML_CONSTASCII_ACTION( sXML_border_right, "border-right" );
XML_CONSTASCII_ACTION( sXML_border_top, "border-top" );
XML_CONSTASCII_ACTION( sXML_both, "both");
XML_CONSTASCII_ACTION( sXML_bottom, "bottom" );
XML_CONSTASCII_ACTION( sXML_bottom_percent, "bottom percent");
XML_CONSTASCII_ACTION( sXML_bottom_values, "bottom values");
XML_CONSTASCII_ACTION( sXML_break_after, "break-after" );
XML_CONSTASCII_ACTION( sXML_break_before, "break-before" );
XML_CONSTASCII_ACTION( sXML_break_inside, "break-inside" );
XML_CONSTASCII_ACTION( sXML_bubble, "bubble" );
XML_CONSTASCII_ACTION( sXML_bullet_char, "bullet-char" );
XML_CONSTASCII_ACTION( sXML_bullet_relative_size, "bullet-relative-size" );
XML_CONSTASCII_ACTION( sXML_buttons, "buttons");
XML_CONSTASCII_ACTION( sXML_bvar, "bvar");
XML_CONSTASCII_ACTION( sXML_c, "c" );
XML_CONSTASCII_ACTION( sXML_cm, "cm" );
XML_CONSTASCII_ACTION( sXML_calculation_settings, "calculation-settings" );
XML_CONSTASCII_ACTION( sXML_calendar, "calendar" );
XML_CONSTASCII_ACTION( sXML_capitalize_entries, "capitalize-entries" );
XML_CONSTASCII_ACTION( sXML_caption, "caption" );
XML_CONSTASCII_ACTION( sXML_caption_point_x, "caption-point-x" );
XML_CONSTASCII_ACTION( sXML_caption_point_y, "caption-point-y" );
XML_CONSTASCII_ACTION( sXML_caption_sequence_format, "caption-sequence-format" );
XML_CONSTASCII_ACTION( sXML_caption_sequence_name, "caption-sequence-name" );
XML_CONSTASCII_ACTION( sXML_case_sensitive, "case-sensitive");
XML_CONSTASCII_ACTION( sXML_casemap_capitalize, "capitalize" );
XML_CONSTASCII_ACTION( sXML_casemap_lowercase, "lowercase" );
XML_CONSTASCII_ACTION( sXML_casemap_normal, "normal" );
XML_CONSTASCII_ACTION( sXML_casemap_small_caps, "small-caps" );
XML_CONSTASCII_ACTION( sXML_casemap_uppercase, "uppercase" );
XML_CONSTASCII_ACTION( sXML_categories, "categories" );
XML_CONSTASCII_ACTION( sXML_category, "category" );
XML_CONSTASCII_ACTION( sXML_category_and_value, "category-and-value" );
XML_CONSTASCII_ACTION( sXML_cell_address, "cell-address");
XML_CONSTASCII_ACTION( sXML_cell_content_change, "cell-content-change");
XML_CONSTASCII_ACTION( sXML_cell_content_deletion, "cell-content-deletion");
XML_CONSTASCII_ACTION( sXML_cell_count, "cell-count");
XML_CONSTASCII_ACTION( sXML_cell_protect, "cell-protect");
XML_CONSTASCII_ACTION( sXML_cell_range_address, "cell-range-address");
XML_CONSTASCII_ACTION( sXML_cell_range_address_list, "cell-range-address-list");
XML_CONSTASCII_ACTION( sXML_cell_range_source, "cell-range-source");
XML_CONSTASCII_ACTION( sXML_center, "center" );
XML_CONSTASCII_ACTION( sXML_chain_next_name, "chain-next-name" );
XML_CONSTASCII_ACTION( sXML_change, "change" );
XML_CONSTASCII_ACTION( sXML_change_deletion, "change-deletion" );
XML_CONSTASCII_ACTION( sXML_change_end, "change-end" );
XML_CONSTASCII_ACTION( sXML_change_id, "change-id" );
XML_CONSTASCII_ACTION( sXML_change_info, "change-info" );
XML_CONSTASCII_ACTION( sXML_change_start, "change-start" );
XML_CONSTASCII_ACTION( sXML_change_track_table_cell, "change-track-table-cell" );
XML_CONSTASCII_ACTION( sXML_change_view_conditions, "change-view-conditions" );
XML_CONSTASCII_ACTION( sXML_change_view_settings, "change-view-settings" );
XML_CONSTASCII_ACTION( sXML_changed_region, "changed-region" );
XML_CONSTASCII_ACTION( sXML_chapter, "chapter");
XML_CONSTASCII_ACTION( sXML_char, "char" );
XML_CONSTASCII_ACTION( sXML_character_count, "character-count" );
XML_CONSTASCII_ACTION( sXML_chart, "chart" );
XML_CONSTASCII_ACTION( sXML_charts, "charts" );
XML_CONSTASCII_ACTION( sXML_chg_author, "chg-author" );
XML_CONSTASCII_ACTION( sXML_chg_comment, "chg-comment" );
XML_CONSTASCII_ACTION( sXML_chg_date_time, "chg-date-time" );
XML_CONSTASCII_ACTION( sXML_ci, "ci" );
XML_CONSTASCII_ACTION( sXML_circle, "circle" );
XML_CONSTASCII_ACTION( sXML_citation_body_style_name, "citation-body-style-name" );
XML_CONSTASCII_ACTION( sXML_citation_style_name, "citation-style-name" );
XML_CONSTASCII_ACTION( sXML_class, "class" );
XML_CONSTASCII_ACTION( sXML_class_id, "class-id" );
XML_CONSTASCII_ACTION( sXML_clip, "clip" );
XML_CONSTASCII_ACTION( sXML_clockwise, "clockwise" );
XML_CONSTASCII_ACTION( sXML_close, "close" );
XML_CONSTASCII_ACTION( sXML_close_horizontal, "close-horizontal" );
XML_CONSTASCII_ACTION( sXML_close_vertical, "close-vertical" );
XML_CONSTASCII_ACTION( sXML_cn, "cn" );
XML_CONSTASCII_ACTION( sXML_code, "code" );
XML_CONSTASCII_ACTION( sXML_codebase, "codebase" );
XML_CONSTASCII_ACTION( sXML_collapse, "collapse" );
XML_CONSTASCII_ACTION( sXML_color, "color" );
XML_CONSTASCII_ACTION( sXML_color_inversion , "color-inversion" );
XML_CONSTASCII_ACTION( sXML_color_mode , "color-mode" );
XML_CONSTASCII_ACTION( sXML_column, "column" );
XML_CONSTASCII_ACTION( sXML_column_count, "column-count" );
XML_CONSTASCII_ACTION( sXML_column_gap, "column-gap" );
XML_CONSTASCII_ACTION( sXML_column_name, "column-name" );
XML_CONSTASCII_ACTION( sXML_column_sep, "column-sep" );
XML_CONSTASCII_ACTION( sXML_column_width, "column-width" );
XML_CONSTASCII_ACTION( sXML_columns, "columns" );
XML_CONSTASCII_ACTION( sXML_columnsplit_auto, "auto" );
XML_CONSTASCII_ACTION( sXML_columnsplit_avoid, "avoid" );
XML_CONSTASCII_ACTION( sXML_combine_entries, "combine-entries" );
XML_CONSTASCII_ACTION( sXML_combine_entries_with_dash, "combine-entries-with-dash" );
XML_CONSTASCII_ACTION( sXML_combine_entries_with_pp, "combine-entries-with-pp" );
XML_CONSTASCII_ACTION( sXML_comma_separated, "comma-separated" );
XML_CONSTASCII_ACTION( sXML_command, "command" );
XML_CONSTASCII_ACTION( sXML_comment, "comment" );
XML_CONSTASCII_ACTION( sXML_compose, "compose" );
XML_CONSTASCII_ACTION( sXML_cond_style_name, "cond-style-name" );
XML_CONSTASCII_ACTION( sXML_condition, "condition" );
XML_CONSTASCII_ACTION( sXML_condition_source, "condition-source");
XML_CONSTASCII_ACTION( sXML_condition_source_range_address, "condition-source-range-address");
XML_CONSTASCII_ACTION( sXML_conditional_text, "conditional-text" );
XML_CONSTASCII_ACTION( sXML_cone, "cone" );
XML_CONSTASCII_ACTION( sXML_conference, "conference" );
XML_CONSTASCII_ACTION( sXML_config_item, "config-item" );
XML_CONSTASCII_ACTION( sXML_config_item_map_indexed, "config-item-map-indexed" );
XML_CONSTASCII_ACTION( sXML_config_item_map_named, "config-item-map-named" );
XML_CONSTASCII_ACTION( sXML_config_item_map_entry, "config-item-map-entry" );
XML_CONSTASCII_ACTION( sXML_config_item_set, "config-item-set" );
XML_CONSTASCII_ACTION( sXML_configuration_settings, "configuration-settings" );
XML_CONSTASCII_ACTION( sXML_conjugate, "conjugate" );
XML_CONSTASCII_ACTION( sXML_connect_bars, "connect-bars" );
XML_CONSTASCII_ACTION( sXML_connection_name, "connection-name" );
XML_CONSTASCII_ACTION( sXML_connector, "connector" );
XML_CONSTASCII_ACTION( sXML_consecutive_numbering, "consecutive-numbering" );
XML_CONSTASCII_ACTION( sXML_consolidation, "consolidation" );
XML_CONSTASCII_ACTION( sXML_constant, "constant" );
XML_CONSTASCII_ACTION( sXML_contains_error, "contains-error");
XML_CONSTASCII_ACTION( sXML_contains_header, "contains-header");
XML_CONSTASCII_ACTION( sXML_content, "content" );
XML_CONSTASCII_ACTION( sXML_content_validation, "content-validation");
XML_CONSTASCII_ACTION( sXML_content_validation_name, "validation-name");
XML_CONSTASCII_ACTION( sXML_content_validations, "content-validations");
XML_CONSTASCII_ACTION( sXML_continue, "continue" );
XML_CONSTASCII_ACTION( sXML_continue_numbering, "continue-numbering" );
XML_CONSTASCII_ACTION( sXML_contour_path, "contour-path" );
XML_CONSTASCII_ACTION( sXML_contour_polygon, "contour-polygon" );
XML_CONSTASCII_ACTION( sXML_contrast , "contrast" );
XML_CONSTASCII_ACTION( sXML_control, "control" );
XML_CONSTASCII_ACTION( sXML_conversion_mode, "conversion-mode" );
XML_CONSTASCII_ACTION( sXML_copy_back, "copy-back" );
XML_CONSTASCII_ACTION( sXML_copy_formulas, "copy-formulas" );
XML_CONSTASCII_ACTION( sXML_copy_outline_levels, "copy-outline-levels" );
XML_CONSTASCII_ACTION( sXML_copy_results_only, "copy-results-only" );
XML_CONSTASCII_ACTION( sXML_copy_styles, "copy-styles" );
XML_CONSTASCII_ACTION( sXML_corner_radius , "corner-radius" );
XML_CONSTASCII_ACTION( sXML_correct, "correct");
XML_CONSTASCII_ACTION( sXML_cos, "cos" );
XML_CONSTASCII_ACTION( sXML_cosh, "cosh" );
XML_CONSTASCII_ACTION( sXML_cot, "cot" );
XML_CONSTASCII_ACTION( sXML_coth, "coth" );
XML_CONSTASCII_ACTION( sXML_count, "count" );
XML_CONSTASCII_ACTION( sXML_count_empty_lines, "count-empty-lines" );
XML_CONSTASCII_ACTION( sXML_count_in_floating_frames, "count-in-floating-frames" );
XML_CONSTASCII_ACTION( sXML_counterclockwise, "counterclockwise" );
XML_CONSTASCII_ACTION( sXML_countnums, "countnums" );
XML_CONSTASCII_ACTION( sXML_country, "country" );
XML_CONSTASCII_ACTION( sXML_country_asian, "country-asian" );
XML_CONSTASCII_ACTION( sXML_country_complex, "country-complex" );
XML_CONSTASCII_ACTION( sXML_covered_table_cell, "covered-table-cell" );
XML_CONSTASCII_ACTION( sXML_create_date, "create-date" );
XML_CONSTASCII_ACTION( sXML_create_date_string, "create-date-string" );
XML_CONSTASCII_ACTION( sXML_creation_date, "creation-date" );
XML_CONSTASCII_ACTION( sXML_creation_time, "creation-time" );
XML_CONSTASCII_ACTION( sXML_creator, "creator" );
XML_CONSTASCII_ACTION( sXML_crossedout_cross, "X" );
XML_CONSTASCII_ACTION( sXML_crossedout_double, "double-line" );
XML_CONSTASCII_ACTION( sXML_crossedout_none, "none" );
XML_CONSTASCII_ACTION( sXML_crossedout_single, "single-line" );
XML_CONSTASCII_ACTION( sXML_crossedout_slash, "slash" );
XML_CONSTASCII_ACTION( sXML_crossedout_thick, "thick-line" );
XML_CONSTASCII_ACTION( sXML_csc, "csc" );
XML_CONSTASCII_ACTION( sXML_csch, "csch" );
XML_CONSTASCII_ACTION( sXML_cube, "cube" );
XML_CONSTASCII_ACTION( sXML_cuboid, "cuboid" );
XML_CONSTASCII_ACTION( sXML_currency, "currency");
XML_CONSTASCII_ACTION( sXML_currency_style, "currency-style" );
XML_CONSTASCII_ACTION( sXML_currency_symbol, "currency-symbol" );
XML_CONSTASCII_ACTION( sXML_current, "current" );
XML_CONSTASCII_ACTION( sXML_current_value, "current-value" );
XML_CONSTASCII_ACTION( sXML_cursor_position, "cursor-position" );
XML_CONSTASCII_ACTION( sXML_cursor_position_x, "cursor-position-x" );
XML_CONSTASCII_ACTION( sXML_cursor_position_y, "cursor-position-y" );
XML_CONSTASCII_ACTION( sXML_custom1, "custom1" );
XML_CONSTASCII_ACTION( sXML_custom2, "custom2" );
XML_CONSTASCII_ACTION( sXML_custom3, "custom3" );
XML_CONSTASCII_ACTION( sXML_custom4, "custom4" );
XML_CONSTASCII_ACTION( sXML_custom5, "custom5" );
XML_CONSTASCII_ACTION( sXML_cut_offs, "cut_offs" );
XML_CONSTASCII_ACTION( sXML_cx, "cx" );
XML_CONSTASCII_ACTION( sXML_cy, "cy" );
XML_CONSTASCII_ACTION( sXML_cylinder, "cylinder" );
XML_CONSTASCII_ACTION( sXML_d, "d" );
XML_CONSTASCII_ACTION( sXML_dash, "dash" );
XML_CONSTASCII_ACTION( sXML_dashed, "dashed" );
XML_CONSTASCII_ACTION( sXML_data, "data");
XML_CONSTASCII_ACTION( sXML_data_cell_range_address, "data-cell-range-address" );
XML_CONSTASCII_ACTION( sXML_data_label_number, "data-label-number" );
XML_CONSTASCII_ACTION( sXML_data_label_symbol, "data-label-symbol" );
XML_CONSTASCII_ACTION( sXML_data_label_text, "data-label-text" );
XML_CONSTASCII_ACTION( sXML_data_pilot_field, "data-pilot-field");
XML_CONSTASCII_ACTION( sXML_data_pilot_level, "data-pilot-level");
XML_CONSTASCII_ACTION( sXML_data_pilot_member, "data-pilot-member");
XML_CONSTASCII_ACTION( sXML_data_pilot_members, "data-pilot-members");
XML_CONSTASCII_ACTION( sXML_data_pilot_subtotal, "data-pilot-subtotal");
XML_CONSTASCII_ACTION( sXML_data_pilot_subtotals, "data-pilot-subtotals");
XML_CONSTASCII_ACTION( sXML_data_pilot_table, "data-pilot-table");
XML_CONSTASCII_ACTION( sXML_data_pilot_tables, "data-pilot-tables");
XML_CONSTASCII_ACTION( sXML_data_point, "data-point" );
XML_CONSTASCII_ACTION( sXML_data_style, "data-style" );
XML_CONSTASCII_ACTION( sXML_data_style_name, "data-style-name" );
XML_CONSTASCII_ACTION( sXML_data_type, "data-type");
XML_CONSTASCII_ACTION( sXML_database_display, "database-display" );
XML_CONSTASCII_ACTION( sXML_database_name, "database-name");
XML_CONSTASCII_ACTION( sXML_database_next, "database-next" );
XML_CONSTASCII_ACTION( sXML_database_range, "database-range");
XML_CONSTASCII_ACTION( sXML_database_ranges, "database-ranges");
XML_CONSTASCII_ACTION( sXML_database_row_number, "database-row-number" );
XML_CONSTASCII_ACTION( sXML_database_select, "database-select" );
XML_CONSTASCII_ACTION( sXML_database_source_query, "database-source-query");
XML_CONSTASCII_ACTION( sXML_database_source_sql, "database-source-sql");
XML_CONSTASCII_ACTION( sXML_database_source_table, "database-source-table");
XML_CONSTASCII_ACTION( sXML_date, "date" );
XML_CONSTASCII_ACTION( sXML_datetime, "datetime" );
XML_CONSTASCII_ACTION( sXML_date_adjust, "date-adjust" );
XML_CONSTASCII_ACTION( sXML_date_style, "date-style" );
XML_CONSTASCII_ACTION( sXML_date_time, "date-time" );
XML_CONSTASCII_ACTION( sXML_date_value, "date-value");
XML_CONSTASCII_ACTION( sXML_day, "day" );
XML_CONSTASCII_ACTION( sXML_day_of_week, "day-of-week" );
XML_CONSTASCII_ACTION( sXML_dde_application, "dde-application" );
XML_CONSTASCII_ACTION( sXML_dde_connection, "dde-connection" );
XML_CONSTASCII_ACTION( sXML_dde_connection_decl, "dde-connection-decl" );
XML_CONSTASCII_ACTION( sXML_dde_connection_decls, "dde-connection-decls" );
XML_CONSTASCII_ACTION( sXML_dde_item, "dde-item" );
XML_CONSTASCII_ACTION( sXML_dde_link, "dde-link" );
XML_CONSTASCII_ACTION( sXML_dde_links, "dde-links" );
XML_CONSTASCII_ACTION( sXML_dde_source, "dde-source" );
XML_CONSTASCII_ACTION( sXML_dde_topic, "dde-topic" );
XML_CONSTASCII_ACTION( sXML_decimal_places, "decimal-places" );
XML_CONSTASCII_ACTION( sXML_decimal_replacement, "decimal-replacement" );
XML_CONSTASCII_ACTION( sXML_declare, "declare" );
XML_CONSTASCII_ACTION( sXML_decorate_words_only, "decorate-words-only" );
XML_CONSTASCII_ACTION( sXML_decorative, "decorative" );
XML_CONSTASCII_ACTION( sXML_deep, "deep" );
XML_CONSTASCII_ACTION( sXML_default, "default" );
XML_CONSTASCII_ACTION( sXML_default_cell_style_name, "default-cell-style-name" );
XML_CONSTASCII_ACTION( sXML_default_style, "default-style" );
XML_CONSTASCII_ACTION( sXML_default_style_name, "default-style-name" );
XML_CONSTASCII_ACTION( sXML_degree, "degree" );
XML_CONSTASCII_ACTION( sXML_delay, "delay" );
XML_CONSTASCII_ACTION( sXML_deletion, "deletion" );
XML_CONSTASCII_ACTION( sXML_deletions, "deletions" );
XML_CONSTASCII_ACTION( sXML_depth, "depth" );
XML_CONSTASCII_ACTION( sXML_desc, "desc" );
XML_CONSTASCII_ACTION( sXML_descending, "descending");
XML_CONSTASCII_ACTION( sXML_description, "description" );
XML_CONSTASCII_ACTION( sXML_detective, "detective" );
XML_CONSTASCII_ACTION( sXML_determinant, "determinant" );
XML_CONSTASCII_ACTION( sXML_diff, "diff");
XML_CONSTASCII_ACTION( sXML_diffuse_color, "diffuse-color" );
XML_CONSTASCII_ACTION( sXML_dependences, "dependences");
XML_CONSTASCII_ACTION( sXML_dependence, "dependence");
XML_CONSTASCII_ACTION( sXML_direction, "direction");
XML_CONSTASCII_ACTION( sXML_disabled, "disabled" );
XML_CONSTASCII_ACTION( sXML_disc, "disc" );
XML_CONSTASCII_ACTION( sXML_display, "display" );
XML_CONSTASCII_ACTION( sXML_display_border, "display-border");
XML_CONSTASCII_ACTION( sXML_display_details, "display-details");
XML_CONSTASCII_ACTION( sXML_display_duplicates, "display-duplicates");
XML_CONSTASCII_ACTION( sXML_display_empty, "display-empty");
XML_CONSTASCII_ACTION( sXML_display_filter_buttons, "display-filter-buttons");
XML_CONSTASCII_ACTION( sXML_display_formula, "display-formula" );
XML_CONSTASCII_ACTION( sXML_display_label, "display-label" );
XML_CONSTASCII_ACTION( sXML_display_levels, "display-levels" );
XML_CONSTASCII_ACTION( sXML_display_name, "display-name" );
XML_CONSTASCII_ACTION( sXML_display_outline_level, "display-outline-level" );
XML_CONSTASCII_ACTION( sXML_dissolve, "dissolve" );
XML_CONSTASCII_ACTION( sXML_distance, "distance" );
XML_CONSTASCII_ACTION( sXML_distribute_letter, "distribute-letter" );
XML_CONSTASCII_ACTION( sXML_distribute_space, "distribute-space" );
XML_CONSTASCII_ACTION( sXML_divide, "divide" );
XML_CONSTASCII_ACTION( sXML_document, "document" );
XML_CONSTASCII_ACTION( sXML_document_content, "document-content" );
XML_CONSTASCII_ACTION( sXML_document_meta, "document-meta" );
XML_CONSTASCII_ACTION( sXML_document_settings, "document-settings" );
XML_CONSTASCII_ACTION( sXML_document_styles, "document-styles" );
XML_CONSTASCII_ACTION( sXML_document_statistic, "document-statistic" );
XML_CONSTASCII_ACTION( sXML_domain, "domain" );
XML_CONSTASCII_ACTION( sXML_dot, "dot" );
XML_CONSTASCII_ACTION( sXML_dotted, "dotted" );
XML_CONSTASCII_ACTION( sXML_double, "double" );
XML_CONSTASCII_ACTION( sXML_double_sided, "double-sided" );
XML_CONSTASCII_ACTION( sXML_down, "down" );
XML_CONSTASCII_ACTION( sXML_draft, "draft");
XML_CONSTASCII_ACTION( sXML_draw, "draw" );
XML_CONSTASCII_ACTION( sXML_draw_aspect, "ole-draw-aspect" );
XML_CONSTASCII_ACTION( sXML_drawing, "drawing" );
XML_CONSTASCII_ACTION( sXML_drawings, "drawings" );
XML_CONSTASCII_ACTION( sXML_drawpool , "drawpool" );
XML_CONSTASCII_ACTION( sXML_drop_cap, "drop-cap" );
XML_CONSTASCII_ACTION( sXML_dynamic, "dynamic" );
XML_CONSTASCII_ACTION( sXML_edge_rounding, "edge-rounding" );
XML_CONSTASCII_ACTION( sXML_editable, "editable" );
XML_CONSTASCII_ACTION( sXML_editing_cycles, "editing-cycles" );
XML_CONSTASCII_ACTION( sXML_editing_duration, "editing-duration" );
XML_CONSTASCII_ACTION( sXML_edition, "edition" );
XML_CONSTASCII_ACTION( sXML_editor, "editor" );
XML_CONSTASCII_ACTION( sXML_ellipse , "ellipse" );
XML_CONSTASCII_ACTION( sXML_email, "email" );
XML_CONSTASCII_ACTION( sXML_embed, "embed" );
XML_CONSTASCII_ACTION( sXML_embedded_visible_area, "embedded-visible-area" );
XML_CONSTASCII_ACTION( sXML_embossed, "embossed" );
XML_CONSTASCII_ACTION( sXML_emissive_color, "emissive-color" );
XML_CONSTASCII_ACTION( sXML_empty, "empty");
XML_CONSTASCII_ACTION( sXML_enabled, "enabled" );
XML_CONSTASCII_ACTION( sXML_encoding, "encoding" );
XML_CONSTASCII_ACTION( sXML_end, "end" );
XML_CONSTASCII_ACTION( sXML_end_angle, "end-angle" );
XML_CONSTASCII_ACTION( sXML_end_cell_address, "end-cell-address" );
XML_CONSTASCII_ACTION( sXML_end_color, "end-color" );
XML_CONSTASCII_ACTION( sXML_end_column, "end-column" );
XML_CONSTASCII_ACTION( sXML_end_intensity, "end-intensity" );
XML_CONSTASCII_ACTION( sXML_end_position, "end-position" );
XML_CONSTASCII_ACTION( sXML_end_row, "end-row" );
XML_CONSTASCII_ACTION( sXML_end_table, "end-table" );
XML_CONSTASCII_ACTION( sXML_end_x, "end-x" );
XML_CONSTASCII_ACTION( sXML_end_y, "end-y" );
XML_CONSTASCII_ACTION( sXML_endless, "endless" );
XML_CONSTASCII_ACTION( sXML_endnote, "endnote" );
XML_CONSTASCII_ACTION( sXML_endnote_body, "endnote-body" );
XML_CONSTASCII_ACTION( sXML_endnote_citation, "endnote-citation" );
XML_CONSTASCII_ACTION( sXML_endnote_ref, "endnote-ref" );
XML_CONSTASCII_ACTION( sXML_endnotes_configuration, "endnotes-configuration");
XML_CONSTASCII_ACTION( sXML_engraved, "engraved" );
XML_CONSTASCII_ACTION( sXML_eq, "eq");
XML_CONSTASCII_ACTION( sXML_equal_author, "equal-author");
XML_CONSTASCII_ACTION( sXML_equal_comment, "equal-comment");
XML_CONSTASCII_ACTION( sXML_equal_date, "equal-date");
XML_CONSTASCII_ACTION( sXML_era, "era" );
XML_CONSTASCII_ACTION( sXML_ergo_sum, "ergo-sum" );
XML_CONSTASCII_ACTION( sXML_error_category, "error-category" );
XML_CONSTASCII_ACTION( sXML_error_lower_indicator, "error-lower-indicator" );
XML_CONSTASCII_ACTION( sXML_error_lower_limit, "error-lower-limit" );
XML_CONSTASCII_ACTION( sXML_error_macro, "error-macro" );
XML_CONSTASCII_ACTION( sXML_error_margin, "error-margin" );
XML_CONSTASCII_ACTION( sXML_error_message, "error-message" );
XML_CONSTASCII_ACTION( sXML_error_percentage, "error-percentage" );
XML_CONSTASCII_ACTION( sXML_error_upper_indicator, "error-upper-indicator" );
XML_CONSTASCII_ACTION( sXML_error_upper_limit, "error-upper-limit" );
XML_CONSTASCII_ACTION( sXML_escapement_sub, "sub" );
XML_CONSTASCII_ACTION( sXML_escapement_super, "super" );
XML_CONSTASCII_ACTION( sXML_even_page, "even-page" );
XML_CONSTASCII_ACTION( sXML_event, "event" );
XML_CONSTASCII_ACTION( sXML_event_name, "event-name" );
XML_CONSTASCII_ACTION( sXML_events, "events" );
XML_CONSTASCII_ACTION( sXML_execute, "execute" );
XML_CONSTASCII_ACTION( sXML_execute_macro, "execute-macro" );
XML_CONSTASCII_ACTION( sXML_exists, "exists" );
XML_CONSTASCII_ACTION( sXML_exp, "exp" );
XML_CONSTASCII_ACTION( sXML_exponential, "exponential" );
XML_CONSTASCII_ACTION( sXML_expression, "expression");
XML_CONSTASCII_ACTION( sXML_extra, "extra");
XML_CONSTASCII_ACTION( sXML_extrude, "extrude" );
XML_CONSTASCII_ACTION( sXML_factorial, "factorial" );
XML_CONSTASCII_ACTION( sXML_fade_from_bottom, "fade-from-bottom" );
XML_CONSTASCII_ACTION( sXML_fade_from_center, "fade-from-center" );
XML_CONSTASCII_ACTION( sXML_fade_from_left, "fade-from-left" );
XML_CONSTASCII_ACTION( sXML_fade_from_lowerleft, "fade-from-lowerleft" );
XML_CONSTASCII_ACTION( sXML_fade_from_lowerright, "fade-from-lowerright" );
XML_CONSTASCII_ACTION( sXML_fade_from_right, "fade-from-right" );
XML_CONSTASCII_ACTION( sXML_fade_from_top, "fade-from-top" );
XML_CONSTASCII_ACTION( sXML_fade_from_upperleft, "fade-from-upperleft" );
XML_CONSTASCII_ACTION( sXML_fade_from_upperright, "fade-from-upperright" );
XML_CONSTASCII_ACTION( sXML_fade_to_center, "fade-to-center" );
XML_CONSTASCII_ACTION( sXML_fade_out, "fade-out" );
XML_CONSTASCII_ACTION( sXML_false, "false" );
XML_CONSTASCII_ACTION( sXML_family, "family" );
XML_CONSTASCII_ACTION( sXML_fast, "fast" );
XML_CONSTASCII_ACTION( sXML_field_number, "field-number");
XML_CONSTASCII_ACTION( sXML_file_name, "file-name" );
XML_CONSTASCII_ACTION( sXML_fill, "fill" );
XML_CONSTASCII_ACTION( sXML_fill_color , "fill-color" );
XML_CONSTASCII_ACTION( sXML_fill_gradient_name, "fill-gradient-name" );
XML_CONSTASCII_ACTION( sXML_fill_hatch_name, "fill-hatch-name" );
XML_CONSTASCII_ACTION( sXML_fill_hatch_solid, "fill-hatch-solid" );
XML_CONSTASCII_ACTION( sXML_fill_image, "fill-image" );
XML_CONSTASCII_ACTION( sXML_fill_image_height, "fill-image-height" );
XML_CONSTASCII_ACTION( sXML_fill_image_name, "fill-image-name" );
XML_CONSTASCII_ACTION( sXML_fill_image_width, "fill-image-width" );
XML_CONSTASCII_ACTION( sXML_filter, "filter");
XML_CONSTASCII_ACTION( sXML_filter_and, "filter-and");
XML_CONSTASCII_ACTION( sXML_filter_condition, "filter-condition");
XML_CONSTASCII_ACTION( sXML_filter_name, "filter-name" );
XML_CONSTASCII_ACTION( sXML_filter_options, "filter-options" );
XML_CONSTASCII_ACTION( sXML_filter_or, "filter-or");
XML_CONSTASCII_ACTION( sXML_first_date_time, "first-date-time");
XML_CONSTASCII_ACTION( sXML_first_page, "first-page");
XML_CONSTASCII_ACTION( sXML_first_page_number, "first-page-number");
XML_CONSTASCII_ACTION( sXML_fit_to_contour, "fit-to-contour");
XML_CONSTASCII_ACTION( sXML_fit_to_size, "fit-to-size" );
XML_CONSTASCII_ACTION( sXML_fix, "fix" );
XML_CONSTASCII_ACTION( sXML_fixed, "fixed" );
XML_CONSTASCII_ACTION( sXML_flat, "flat" );
XML_CONSTASCII_ACTION( sXML_float, "float");
XML_CONSTASCII_ACTION( sXML_floating_frame, "floating-frame");
XML_CONSTASCII_ACTION( sXML_floor, "floor" );
XML_CONSTASCII_ACTION( sXML_fn, "fn" );
XML_CONSTASCII_ACTION( sXML_focal_length, "focal-length");
XML_CONSTASCII_ACTION( sXML_font_char_width, "font-char-width" );
XML_CONSTASCII_ACTION( sXML_font_charset, "font-charset" );
XML_CONSTASCII_ACTION( sXML_font_charset_asian, "font-charset-asian" );
XML_CONSTASCII_ACTION( sXML_font_charset_complex, "font-charset-complex" );
XML_CONSTASCII_ACTION( sXML_font_color, "font-color" );
XML_CONSTASCII_ACTION( sXML_font_decl, "font-decl" );
XML_CONSTASCII_ACTION( sXML_font_decls, "font-decls" );
XML_CONSTASCII_ACTION( sXML_font_family, "font-family" );
XML_CONSTASCII_ACTION( sXML_font_family_asian, "font-family-asian" );
XML_CONSTASCII_ACTION( sXML_font_family_complex, "font-family-complex" );
XML_CONSTASCII_ACTION( sXML_font_family_generic, "font-family-generic" );
XML_CONSTASCII_ACTION( sXML_font_family_generic_asian, "font-family-generic-asian" );
XML_CONSTASCII_ACTION( sXML_font_family_generic_complex, "font-family-generic-complex" );
XML_CONSTASCII_ACTION( sXML_font_kerning, "font-kerning" );
XML_CONSTASCII_ACTION( sXML_font_name, "font-name" );
XML_CONSTASCII_ACTION( sXML_font_name_asian, "font-name-asian" );
XML_CONSTASCII_ACTION( sXML_font_name_complex, "font-name-complex" );
XML_CONSTASCII_ACTION( sXML_font_pitch, "font-pitch" );
XML_CONSTASCII_ACTION( sXML_font_pitch_asian, "font-pitch-asian" );
XML_CONSTASCII_ACTION( sXML_font_pitch_complex, "font-pitch-complex" );
XML_CONSTASCII_ACTION( sXML_font_relief, "font-relief" );
XML_CONSTASCII_ACTION( sXML_font_size, "font-size" );
XML_CONSTASCII_ACTION( sXML_font_size_asian, "font-size-asian" );
XML_CONSTASCII_ACTION( sXML_font_size_complex, "font-size-complex" );
XML_CONSTASCII_ACTION( sXML_font_size_rel, "font-size-rel" );
XML_CONSTASCII_ACTION( sXML_font_size_rel_asian, "font-size-rel-asian" );
XML_CONSTASCII_ACTION( sXML_font_size_rel_complex, "font-size-rel-complex" );
XML_CONSTASCII_ACTION( sXML_font_style, "font-style" );
XML_CONSTASCII_ACTION( sXML_font_style_asian, "font-style-asian" );
XML_CONSTASCII_ACTION( sXML_font_style_complex, "font-style-complex" );
XML_CONSTASCII_ACTION( sXML_font_style_name, "font-style-name" );
XML_CONSTASCII_ACTION( sXML_font_style_name_asian, "font-style-name-asian" );
XML_CONSTASCII_ACTION( sXML_font_style_name_complex, "font-style-name-complex" );
XML_CONSTASCII_ACTION( sXML_font_variant, "font-variant" );
XML_CONSTASCII_ACTION( sXML_font_weight, "font-weight" );
XML_CONSTASCII_ACTION( sXML_font_weight_asian, "font-weight-asian" );
XML_CONSTASCII_ACTION( sXML_font_weight_complex, "font-weight-complex" );
XML_CONSTASCII_ACTION( sXML_font_width, "font-width" );
XML_CONSTASCII_ACTION( sXML_font_word_line_mode, "font-word-line-mode" );
XML_CONSTASCII_ACTION( sXML_fontfamily, "fontfamily" );
XML_CONSTASCII_ACTION( sXML_fontsize, "fontsize" );
XML_CONSTASCII_ACTION( sXML_fontstyle, "fontstyle" );
XML_CONSTASCII_ACTION( sXML_fontweight, "fontweight" );
XML_CONSTASCII_ACTION( sXML_fontwork_adjust, "fontwork-adjust" );
XML_CONSTASCII_ACTION( sXML_fontwork_distance, "fontwork-distance" );
XML_CONSTASCII_ACTION( sXML_fontwork_form, "fontwork-form" );
XML_CONSTASCII_ACTION( sXML_fontwork_hide_form, "fontwork-hide-form" );
XML_CONSTASCII_ACTION( sXML_fontwork_mirror, "fontwork-mirror" );
XML_CONSTASCII_ACTION( sXML_fontwork_outline, "fontwork-outline" );
XML_CONSTASCII_ACTION( sXML_fontwork_shadow, "fontwork-shadow" );
XML_CONSTASCII_ACTION( sXML_fontwork_shadow_color, "fontwork-shadow-color" );
XML_CONSTASCII_ACTION( sXML_fontwork_shadow_offset_x, "fontwork-shadow-offset-x" );
XML_CONSTASCII_ACTION( sXML_fontwork_shadow_offset_y, "fontwork-shadow-offset-y" );
XML_CONSTASCII_ACTION( sXML_fontwork_shadow_transparence, "fontwork-shadow-transparence" );
XML_CONSTASCII_ACTION( sXML_fontwork_start, "fontwork-start" );
XML_CONSTASCII_ACTION( sXML_fontwork_style, "fontwork-style" );
XML_CONSTASCII_ACTION( sXML_footer, "footer" );
XML_CONSTASCII_ACTION( sXML_footer_left, "footer-left" );
XML_CONSTASCII_ACTION( sXML_footer_style, "footer-style" );
XML_CONSTASCII_ACTION( sXML_footnote, "footnote" );
XML_CONSTASCII_ACTION( sXML_footnote_body, "footnote-body" );
XML_CONSTASCII_ACTION( sXML_footnote_citation, "footnote-citation" );
XML_CONSTASCII_ACTION( sXML_footnote_continuation_notice_backward, "footnote-continuation-notice-backward" );
XML_CONSTASCII_ACTION( sXML_footnote_continuation_notice_forward, "footnote-continuation-notice-forward" );
XML_CONSTASCII_ACTION( sXML_footnote_max_height, "footnote-max-height" );
XML_CONSTASCII_ACTION( sXML_distance_after_sep, "distance-after-sep" );
XML_CONSTASCII_ACTION( sXML_distance_before_sep, "distance-before-sep" );
XML_CONSTASCII_ACTION( sXML_footnote_ref, "footnote-ref" );
XML_CONSTASCII_ACTION( sXML_footnote_sep, "footnote-sep" );
XML_CONSTASCII_ACTION( sXML_footnotes_configuration, "footnotes-configuration");
XML_CONSTASCII_ACTION( sXML_footnotes_position, "footnotes-position" );
XML_CONSTASCII_ACTION( sXML_forall, "forall" );
XML_CONSTASCII_ACTION( sXML_force_manual, "force-manual" );
XML_CONSTASCII_ACTION( sXML_foreground, "foreground" );
XML_CONSTASCII_ACTION( sXML_foreign_object, "foreign-object" );
XML_CONSTASCII_ACTION( sXML_format_change, "format-change" );
XML_CONSTASCII_ACTION( sXML_format_source, "format-source" );
XML_CONSTASCII_ACTION( sXML_forms, "forms" );
XML_CONSTASCII_ACTION( sXML_formula, "formula");
XML_CONSTASCII_ACTION( sXML_formula_hidden, "formula-hidden");
XML_CONSTASCII_ACTION( sXML_formulas, "formulas");
XML_CONSTASCII_ACTION( sXML_fraction, "fraction" );
XML_CONSTASCII_ACTION( sXML_frame, "frame" );
XML_CONSTASCII_ACTION( sXML_frame_content, "frame-content" );
XML_CONSTASCII_ACTION( sXML_frame_display_scrollbar, "frame-display-scrollbar" );
XML_CONSTASCII_ACTION( sXML_frame_display_border, "frame-display-border" );
XML_CONSTASCII_ACTION( sXML_frame_margin_horizontal, "frame-margin-horizontal" );
XML_CONSTASCII_ACTION( sXML_frame_margin_vertical, "frame-margin-vertical" );
XML_CONSTASCII_ACTION( sXML_frame_end_margin, "frame-end-margin" );
XML_CONSTASCII_ACTION( sXML_frame_name, "frame-name" );
XML_CONSTASCII_ACTION( sXML_frame_start_margin, "frame-start-margin" );
XML_CONSTASCII_ACTION( sXML_freeze, "freeze" );
XML_CONSTASCII_ACTION( sXML_freeze_position, "freeze-position" );
XML_CONSTASCII_ACTION( sXML_from_another_table, "from-another-table" );
XML_CONSTASCII_ACTION( sXML_from_inside, "from-inside" );
XML_CONSTASCII_ACTION( sXML_from_left, "from-left" );
XML_CONSTASCII_ACTION( sXML_from_same_table, "from-same-table" );
XML_CONSTASCII_ACTION( sXML_from_top, "from-top" );
XML_CONSTASCII_ACTION( sXML_fuchsia, "fuchsia");
XML_CONSTASCII_ACTION( sXML_full, "full" );
XML_CONSTASCII_ACTION( sXML_full_screen, "full-screen" );
XML_CONSTASCII_ACTION( sXML_function, "function");
XML_CONSTASCII_ACTION( sXML_g , "g" );
XML_CONSTASCII_ACTION( sXML_gamma , "gamma" );
XML_CONSTASCII_ACTION( sXML_gap, "gap" );
XML_CONSTASCII_ACTION( sXML_gap_width, "gap-width" );
XML_CONSTASCII_ACTION( sXML_gcd, "gcd" );
XML_CONSTASCII_ACTION( sXML_generator, "generator" );
XML_CONSTASCII_ACTION( sXML_geq, "geq" );
XML_CONSTASCII_ACTION( sXML_gouraud, "gouraud");
XML_CONSTASCII_ACTION( sXML_gradient , "gradient" );
XML_CONSTASCII_ACTION( sXML_gradient_angle, "angle" );
XML_CONSTASCII_ACTION( sXML_gradient_border, "border" );
XML_CONSTASCII_ACTION( sXML_gradient_step_count , "gradient-step-count" );
XML_CONSTASCII_ACTION( sXML_gradient_style, "gradient-style" );
XML_CONSTASCII_ACTION( sXML_gradientstyle_axial, "axial" );
XML_CONSTASCII_ACTION( sXML_gradientstyle_ellipsoid, "ellipsoid" );
XML_CONSTASCII_ACTION( sXML_gradientstyle_linear, "linear" );
XML_CONSTASCII_ACTION( sXML_gradientstyle_radial, "radial" );
XML_CONSTASCII_ACTION( sXML_gradientstyle_rectangular, "rectangular" );
XML_CONSTASCII_ACTION( sXML_gradientstyle_square, "square" );
XML_CONSTASCII_ACTION( sXML_grand_total, "grand-total");
XML_CONSTASCII_ACTION( sXML_graphic , "graphic" );
XML_CONSTASCII_ACTION( sXML_gray, "gray" );
XML_CONSTASCII_ACTION( sXML_green , "green" );
XML_CONSTASCII_ACTION( sXML_greyscale, "greyscale" );
XML_CONSTASCII_ACTION( sXML_grid, "grid" );
XML_CONSTASCII_ACTION( sXML_groove, "groove" );
XML_CONSTASCII_ACTION( sXML_group_by_field_number, "group-by-field-number");
XML_CONSTASCII_ACTION( sXML_group_name, "group-name" );
XML_CONSTASCII_ACTION( sXML_grouping, "grouping" );
XML_CONSTASCII_ACTION( sXML_gt, "gt" );
XML_CONSTASCII_ACTION( sXML_h, "h" );
XML_CONSTASCII_ACTION( sXML_hanging, "hanging" );
XML_CONSTASCII_ACTION( sXML_has_persistent_data, "has-persistent-data");
XML_CONSTASCII_ACTION( sXML_hatch , "hatch" );
XML_CONSTASCII_ACTION( sXML_hatch_distance, "distance" );
XML_CONSTASCII_ACTION( sXML_hatch_style, "style" );
XML_CONSTASCII_ACTION( sXML_hatchstyle_double, "double" );
XML_CONSTASCII_ACTION( sXML_hatchstyle_single, "single" );
XML_CONSTASCII_ACTION( sXML_hatchstyle_triple, "triple" );
XML_CONSTASCII_ACTION( sXML_header, "header" );
XML_CONSTASCII_ACTION( sXML_header_left, "header-left" );
XML_CONSTASCII_ACTION( sXML_header_style, "header-style" );
XML_CONSTASCII_ACTION( sXML_headers, "headers" );
XML_CONSTASCII_ACTION( sXML_height, "height" );
XML_CONSTASCII_ACTION( sXML_help_file_name, "help-file-name" );
XML_CONSTASCII_ACTION( sXML_help_id, "help-id" );
XML_CONSTASCII_ACTION( sXML_help_message, "help-message" );
XML_CONSTASCII_ACTION( sXML_hidden, "hidden" );
XML_CONSTASCII_ACTION( sXML_hidden_and_protected, "hidden-and-protected");
XML_CONSTASCII_ACTION( sXML_hidden_paragraph, "hidden-paragraph" );
XML_CONSTASCII_ACTION( sXML_hidden_text, "hidden-text" );
XML_CONSTASCII_ACTION( sXML_highlighted_range, "highlighted-range" );
XML_CONSTASCII_ACTION( sXML_horizontal, "horizontal" );
XML_CONSTASCII_ACTION( sXML_horizontal_lines, "horizontal-lines" );
XML_CONSTASCII_ACTION( sXML_horizontal_on_left_pages, "horizontal-on-left-pages" );
XML_CONSTASCII_ACTION( sXML_horizontal_on_right_pages, "horizontal-on-right-pages" );
XML_CONSTASCII_ACTION( sXML_horizontal_pos, "horizontal-pos" );
XML_CONSTASCII_ACTION( sXML_horizontal_rel, "horizontal-rel" );
XML_CONSTASCII_ACTION( sXML_horizontal_scrollbar_width, "horizontal-scrollbar-width" );
XML_CONSTASCII_ACTION( sXML_horizontal_segments, "horizontal-segments" );
XML_CONSTASCII_ACTION( sXML_horizontal_split_mode, "horizontal-split-mode" );
XML_CONSTASCII_ACTION( sXML_horizontal_split_position, "horizontal-split-position" );
XML_CONSTASCII_ACTION( sXML_horizontal_stripes, "horizontal-stripes" );
XML_CONSTASCII_ACTION( sXML_hours, "hours" );
XML_CONSTASCII_ACTION( sXML_howpublished, "howpublished" );
XML_CONSTASCII_ACTION( sXML_href, "href" );
XML_CONSTASCII_ACTION( sXML_html, "html");
XML_CONSTASCII_ACTION( sXML_hyperlink_behaviour, "hyperlink-behaviour" );
XML_CONSTASCII_ACTION( sXML_hyphenate, "hyphenate" );
XML_CONSTASCII_ACTION( sXML_hyphenation_keep, "hyphenation-keep" );
XML_CONSTASCII_ACTION( sXML_hyphenation_ladder_count, "hyphenation-ladder-count" );
XML_CONSTASCII_ACTION( sXML_hyphenation_push_char_count, "hyphenation-push-char-count" );
XML_CONSTASCII_ACTION( sXML_hyphenation_remain_char_count, "hyphenation-remain-char-count" );
XML_CONSTASCII_ACTION( sXML_i, "i" );
XML_CONSTASCII_ACTION( sXML_icon, "icon" );
XML_CONSTASCII_ACTION( sXML_id, "id" );
XML_CONSTASCII_ACTION( sXML_ident, "ident");
XML_CONSTASCII_ACTION( sXML_identifier, "identifier" );
XML_CONSTASCII_ACTION( sXML_identify_categories, "identify-categories");
XML_CONSTASCII_ACTION( sXML_ideograph_alpha, "ideograph-alpha");
XML_CONSTASCII_ACTION( sXML_ignore_case, "ignore-case" );
XML_CONSTASCII_ACTION( sXML_ignore_empty_rows, "ignore-empty-rows");
XML_CONSTASCII_ACTION( sXML_illustration_index, "illustration-index" );
XML_CONSTASCII_ACTION( sXML_illustration_index_entry_template, "illustration-index-entry-template" );
XML_CONSTASCII_ACTION( sXML_illustration_index_source, "illustration-index-source" );
XML_CONSTASCII_ACTION( sXML_image, "image" );
XML_CONSTASCII_ACTION( sXML_image_count, "image-count" );
XML_CONSTASCII_ACTION( sXML_image_map, "image-map" );
XML_CONSTASCII_ACTION( sXML_implies, "implies" );
XML_CONSTASCII_ACTION( sXML_in, "in");
XML_CONSTASCII_ACTION( sXML_in_range, "in-range");
XML_CONSTASCII_ACTION( sXML_inbook, "inbook" );
XML_CONSTASCII_ACTION( sXML_incollection, "incollection" );
XML_CONSTASCII_ACTION( sXML_increment, "increment" );
XML_CONSTASCII_ACTION( sXML_index, "index");
XML_CONSTASCII_ACTION( sXML_index_body, "index-body");
XML_CONSTASCII_ACTION( sXML_index_entry_bibliography, "index-entry-bibliography" );
XML_CONSTASCII_ACTION( sXML_index_entry_chapter, "index-entry-chapter" );
XML_CONSTASCII_ACTION( sXML_index_entry_chapter_number, "index-entry-chapter-number" );
XML_CONSTASCII_ACTION( sXML_index_entry_link_end, "index-entry-link-end" );
XML_CONSTASCII_ACTION( sXML_index_entry_link_start, "index-entry-link-start" );
XML_CONSTASCII_ACTION( sXML_index_entry_page_number, "index-entry-page-number" );
XML_CONSTASCII_ACTION( sXML_index_entry_span, "index-entry-span" );
XML_CONSTASCII_ACTION( sXML_index_entry_tab_stop, "index-entry-tab-stop" );
XML_CONSTASCII_ACTION( sXML_index_entry_template, "index-entry-template" );
XML_CONSTASCII_ACTION( sXML_index_entry_text, "index-entry-text" );
XML_CONSTASCII_ACTION( sXML_index_name, "index-name" );
XML_CONSTASCII_ACTION( sXML_index_scope, "index-scope" );
XML_CONSTASCII_ACTION( sXML_index_source_style, "index-source-style" );
XML_CONSTASCII_ACTION( sXML_index_source_styles, "index-source-styles" );
XML_CONSTASCII_ACTION( sXML_index_title, "index-title" );
XML_CONSTASCII_ACTION( sXML_index_title_template, "index-title-template" );
XML_CONSTASCII_ACTION( sXML_information, "information" );
XML_CONSTASCII_ACTION( sXML_initial_creator, "initial-creator" );
XML_CONSTASCII_ACTION( sXML_inproceedings, "inproceedings" );
XML_CONSTASCII_ACTION( sXML_insertion, "insertion" );
XML_CONSTASCII_ACTION( sXML_insertion_cut_off, "insertion-cut-off" );
XML_CONSTASCII_ACTION( sXML_inset, "inset" );
XML_CONSTASCII_ACTION( sXML_inside, "inside" );
XML_CONSTASCII_ACTION( sXML_institution, "institution" );
XML_CONSTASCII_ACTION( sXML_int, "int" );
XML_CONSTASCII_ACTION( sXML_intensity, "intensity" );
XML_CONSTASCII_ACTION( sXML_intersect, "intersect" );
XML_CONSTASCII_ACTION( sXML_interval, "interval" );
XML_CONSTASCII_ACTION( sXML_interval_major, "interval-major" );
XML_CONSTASCII_ACTION( sXML_interval_minor, "interval-minor" );
XML_CONSTASCII_ACTION( sXML_into_english_number, "into-english-number" );
XML_CONSTASCII_ACTION( sXML_inverse, "inverse" );
XML_CONSTASCII_ACTION( sXML_is_active, "is-active");
XML_CONSTASCII_ACTION( sXML_is_data_layout_field, "is-data-layout-field");
XML_CONSTASCII_ACTION( sXML_is_hidden, "is-hidden" );
XML_CONSTASCII_ACTION( sXML_is_selection, "is-selection");
XML_CONSTASCII_ACTION( sXML_isbn, "isbn" );
XML_CONSTASCII_ACTION( sXML_italic, "italic" );
XML_CONSTASCII_ACTION( sXML_iteration, "iteration" );
XML_CONSTASCII_ACTION( sXML_journal, "journal" );
XML_CONSTASCII_ACTION( sXML_justified, "justified" );
XML_CONSTASCII_ACTION( sXML_justify, "justify" );
XML_CONSTASCII_ACTION( sXML_justify_single_word, "justify-single-word" );
XML_CONSTASCII_ACTION( sXML_keep_with_next, "keep-with-next" );
XML_CONSTASCII_ACTION( sXML_kerning_normal, "normal" );
XML_CONSTASCII_ACTION( sXML_key, "key" );
XML_CONSTASCII_ACTION( sXML_key1, "key1" );
XML_CONSTASCII_ACTION( sXML_key2, "key2" );
XML_CONSTASCII_ACTION( sXML_keyword, "keyword" );
XML_CONSTASCII_ACTION( sXML_keywords, "keywords" );
XML_CONSTASCII_ACTION( sXML_km, "km" );
XML_CONSTASCII_ACTION( sXML_label, "label" );
XML_CONSTASCII_ACTION( sXML_label_arrangement, "label-arrangement" );
XML_CONSTASCII_ACTION( sXML_label_cell_address, "label-cell-address" );
XML_CONSTASCII_ACTION( sXML_label_cell_range_address, "label-cell-range-address" );
XML_CONSTASCII_ACTION( sXML_label_range, "label-range" );
XML_CONSTASCII_ACTION( sXML_label_ranges, "label-ranges" );
XML_CONSTASCII_ACTION( sXML_layer, "layer" );
XML_CONSTASCII_ACTION( sXML_layer_set, "layer-set" );
XML_CONSTASCII_ACTION( sXML_lambda, "lambda" );
XML_CONSTASCII_ACTION( sXML_landscape, "landscape" );
XML_CONSTASCII_ACTION( sXML_language, "language" );
XML_CONSTASCII_ACTION( sXML_language_asian, "language-asian" );
XML_CONSTASCII_ACTION( sXML_language_complex, "language-complex" );
XML_CONSTASCII_ACTION( sXML_last_column_spanned, "last-column-spanned" );
XML_CONSTASCII_ACTION( sXML_last_page, "last-page" );
XML_CONSTASCII_ACTION( sXML_last_row_spanned, "last-row-spanned" );
XML_CONSTASCII_ACTION( sXML_leader_char, "leader-char" );
XML_CONSTASCII_ACTION( sXML_left, "left" );
XML_CONSTASCII_ACTION( sXML_left_outside, "left-outside" );
XML_CONSTASCII_ACTION( sXML_left_top_position, "left-top-position" );
XML_CONSTASCII_ACTION( sXML_legend, "legend" );
XML_CONSTASCII_ACTION( sXML_legend_position, "legend-position" );
XML_CONSTASCII_ACTION( sXML_length, "length" );
XML_CONSTASCII_ACTION( sXML_leq, "leq" );
XML_CONSTASCII_ACTION( sXML_let_text, "let-text" );
XML_CONSTASCII_ACTION( sXML_letter_kerning, "letter-kerning" );
XML_CONSTASCII_ACTION( sXML_letter_spacing, "letter-spacing" );
XML_CONSTASCII_ACTION( sXML_letters, "letters" );
XML_CONSTASCII_ACTION( sXML_level, "level" );
XML_CONSTASCII_ACTION( sXML_library, "library" );
XML_CONSTASCII_ACTION( sXML_library_embedded, "library-embedded" );
XML_CONSTASCII_ACTION( sXML_library_linked, "library-linked" );
XML_CONSTASCII_ACTION( sXML_light, "light");
XML_CONSTASCII_ACTION( sXML_lighting_mode, "lighting-mode");
XML_CONSTASCII_ACTION( sXML_lime, "lime" );
XML_CONSTASCII_ACTION( sXML_limit, "limit" );
XML_CONSTASCII_ACTION( sXML_line, "line" );
XML_CONSTASCII_ACTION( sXML_line_break, "line-break" );
XML_CONSTASCII_ACTION( sXML_line_height, "line-height" );
XML_CONSTASCII_ACTION( sXML_line_height_at_least, "line-height-at-least" );
XML_CONSTASCII_ACTION( sXML_line_spacing, "line-spacing" );
XML_CONSTASCII_ACTION( sXML_linear, "linear" );
XML_CONSTASCII_ACTION( sXML_linenumbering_configuration, "linenumbering-configuration" );
XML_CONSTASCII_ACTION( sXML_linenumbering_separator, "linenumbering-separator" );
XML_CONSTASCII_ACTION( sXML_lines, "lines" );
XML_CONSTASCII_ACTION( sXML_lines_used, "lines-used" );
XML_CONSTASCII_ACTION( sXML_link_data_style_to_source, "link-data-style-to-source" );
XML_CONSTASCII_ACTION( sXML_link_to_source_data, "link-to-source-data" );
XML_CONSTASCII_ACTION( sXML_list, "list");
XML_CONSTASCII_ACTION( sXML_list_block, "list-block" );
XML_CONSTASCII_ACTION( sXML_list_header, "list-header" );
XML_CONSTASCII_ACTION( sXML_list_info, "list-info" );
XML_CONSTASCII_ACTION( sXML_list_item, "list-item" );
XML_CONSTASCII_ACTION( sXML_list_level, "list-level" );
XML_CONSTASCII_ACTION( sXML_list_level_style_bullet, "list-level-style-bullet" );
XML_CONSTASCII_ACTION( sXML_list_level_style_image, "list-level-style-image" );
XML_CONSTASCII_ACTION( sXML_list_level_style_number, "list-level-style-number" );
XML_CONSTASCII_ACTION( sXML_list_name, "list-name" );
XML_CONSTASCII_ACTION( sXML_list_style, "list-style" );
XML_CONSTASCII_ACTION( sXML_list_style_name, "list-style-name" );
XML_CONSTASCII_ACTION( sXML_ln, "ln" );
XML_CONSTASCII_ACTION( sXML_locked, "locked" );
XML_CONSTASCII_ACTION( sXML_log, "log" );
XML_CONSTASCII_ACTION( sXML_logarithmic, "logarithmic" );
XML_CONSTASCII_ACTION( sXML_logbase, "logbase" );
XML_CONSTASCII_ACTION( sXML_long, "long" );
XML_CONSTASCII_ACTION( sXML_lowlimit, "lowlimit" );
XML_CONSTASCII_ACTION( sXML_lr_tb, "lr-tb" );
XML_CONSTASCII_ACTION( sXML_lt, "lt");
XML_CONSTASCII_ACTION( sXML_ltr, "ltr");
XML_CONSTASCII_ACTION( sXML_luminance , "luminance" );
XML_CONSTASCII_ACTION( sXML_macro_name, "macro-name");
XML_CONSTASCII_ACTION( sXML_maction, "maction");
XML_CONSTASCII_ACTION( sXML_main_entry_style_name, "main-entry-style-name" );
XML_CONSTASCII_ACTION( sXML_major, "major" );
XML_CONSTASCII_ACTION( sXML_maligngroup, "maligngroup");
XML_CONSTASCII_ACTION( sXML_malignmark, "malignmark");
XML_CONSTASCII_ACTION( sXML_manual, "manual" );
XML_CONSTASCII_ACTION( sXML_map, "map" );
XML_CONSTASCII_ACTION( sXML_margin_bottom, "margin-bottom" );
XML_CONSTASCII_ACTION( sXML_margin_left, "margin-left" );
XML_CONSTASCII_ACTION( sXML_margin_right, "margin-right" );
XML_CONSTASCII_ACTION( sXML_margin_top, "margin-top" );
XML_CONSTASCII_ACTION( sXML_margins, "margins" );
XML_CONSTASCII_ACTION( sXML_marker, "marker" );
XML_CONSTASCII_ACTION( sXML_marker_end , "marker-end" );
XML_CONSTASCII_ACTION( sXML_marker_end_center , "marker-end-center" );
XML_CONSTASCII_ACTION( sXML_marker_end_width , "marker-end-width" );
XML_CONSTASCII_ACTION( sXML_marker_start , "marker-start" );
XML_CONSTASCII_ACTION( sXML_marker_start_center , "marker-start-center" );
XML_CONSTASCII_ACTION( sXML_marker_start_width , "marker-start-width" );
XML_CONSTASCII_ACTION( sXML_maroon, "maroon" );
XML_CONSTASCII_ACTION( sXML_master_page, "master-page" );
XML_CONSTASCII_ACTION( sXML_master_page_name , "master-page-name" );
XML_CONSTASCII_ACTION( sXML_master_styles, "master-styles" );
XML_CONSTASCII_ACTION( sXML_mastersthesis, "mastersthesis" );
XML_CONSTASCII_ACTION( sXML_match, "match");
XML_CONSTASCII_ACTION( sXML_math, "math");
XML_CONSTASCII_ACTION( sXML_matrix, "matrix");
XML_CONSTASCII_ACTION( sXML_matrix_covered, "matrix-covered");
XML_CONSTASCII_ACTION( sXML_matrixrow, "matrixrow");
XML_CONSTASCII_ACTION( sXML_max, "max" );
XML_CONSTASCII_ACTION( sXML_max_edge, "max-edge");
XML_CONSTASCII_ACTION( sXML_max_height, "max-height");
XML_CONSTASCII_ACTION( sXML_max_width, "max-width");
XML_CONSTASCII_ACTION( sXML_maximum, "maximum" );
XML_CONSTASCII_ACTION( sXML_maximum_difference, "maximum-difference" );
XML_CONSTASCII_ACTION( sXML_may_break_between_rows, "may-break-between-rows" );
XML_CONSTASCII_ACTION( sXML_may_script, "may-script" );
XML_CONSTASCII_ACTION( sXML_mean, "mean" );
XML_CONSTASCII_ACTION( sXML_mean_value, "mean-value" );
XML_CONSTASCII_ACTION( sXML_measure, "measure" );
XML_CONSTASCII_ACTION( sXML_measure_align, "measure-align" );
XML_CONSTASCII_ACTION( sXML_measure_vertical_align, "measure-vertical-align" );
XML_CONSTASCII_ACTION( sXML_median, "median" );
XML_CONSTASCII_ACTION( sXML_medium, "medium" );
XML_CONSTASCII_ACTION( sXML_merror, "merror" );
XML_CONSTASCII_ACTION( sXML_message_type, "message-type" );
XML_CONSTASCII_ACTION( sXML_meta, "meta" );
XML_CONSTASCII_ACTION( sXML_mfenced, "mfenced" );
XML_CONSTASCII_ACTION( sXML_mfrac, "mfrac" );
XML_CONSTASCII_ACTION( sXML_mi, "mi" ); //MathML Math Identifier
XML_CONSTASCII_ACTION( sXML_middle, "middle" );
XML_CONSTASCII_ACTION( sXML_mime_type, "mime-type" );
XML_CONSTASCII_ACTION( sXML_min, "min" );
XML_CONSTASCII_ACTION( sXML_min_denominator_digits, "min-denominator-digits" );
XML_CONSTASCII_ACTION( sXML_min_edge, "min-edge");
XML_CONSTASCII_ACTION( sXML_min_exponent_digits, "min-exponent-digits" );
XML_CONSTASCII_ACTION( sXML_min_height, "min-height" );
XML_CONSTASCII_ACTION( sXML_min_width, "min-width" );
XML_CONSTASCII_ACTION( sXML_min_integer_digits, "min-integer-digits" );
XML_CONSTASCII_ACTION( sXML_min_label_distance, "min-label-distance" );
XML_CONSTASCII_ACTION( sXML_min_label_width, "min-label-width" );
XML_CONSTASCII_ACTION( sXML_min_line_height, "min-line-height" );
XML_CONSTASCII_ACTION( sXML_min_numerator_digits, "min-numerator-digits" );
XML_CONSTASCII_ACTION( sXML_min_row_height, "min-row-height" );
XML_CONSTASCII_ACTION( sXML_minimum, "minimum" );
XML_CONSTASCII_ACTION( sXML_minor, "minor" );
XML_CONSTASCII_ACTION( sXML_minus, "minus" );
XML_CONSTASCII_ACTION( sXML_minutes, "minutes" );
XML_CONSTASCII_ACTION( sXML_mirror, "mirror" );
XML_CONSTASCII_ACTION( sXML_mirrored, "mirrored" );
XML_CONSTASCII_ACTION( sXML_misc, "misc" );
XML_CONSTASCII_ACTION( sXML_miter , "miter" );
XML_CONSTASCII_ACTION( sXML_mmultiscripts, "mmultiscripts" );
XML_CONSTASCII_ACTION( sXML_mm, "mm" );
XML_CONSTASCII_ACTION( sXML_mn, "mn" );
XML_CONSTASCII_ACTION( sXML_mo, "mo" );
XML_CONSTASCII_ACTION( sXML_mode, "mode" );
XML_CONSTASCII_ACTION( sXML_modern, "modern" );
XML_CONSTASCII_ACTION( sXML_modification_date, "modification-date" );
XML_CONSTASCII_ACTION( sXML_modification_time, "modification-time" );
XML_CONSTASCII_ACTION( sXML_modulate, "modulate" );
XML_CONSTASCII_ACTION( sXML_module, "module" );
XML_CONSTASCII_ACTION( sXML_moment, "moment" );
XML_CONSTASCII_ACTION( sXML_mono, "mono" );
XML_CONSTASCII_ACTION( sXML_month, "month" );
XML_CONSTASCII_ACTION( sXML_move_from_bottom, "move-from-bottom" );
XML_CONSTASCII_ACTION( sXML_move_from_left, "move-from-left" );
XML_CONSTASCII_ACTION( sXML_move_from_right, "move-from-right" );
XML_CONSTASCII_ACTION( sXML_move_from_top, "move-from-top" );
XML_CONSTASCII_ACTION( sXML_move_protect, "move-protect" );
XML_CONSTASCII_ACTION( sXML_mover, "mover" );
XML_CONSTASCII_ACTION( sXML_movement, "movement" );
XML_CONSTASCII_ACTION( sXML_movement_cut_off, "movement-cut-off" );
XML_CONSTASCII_ACTION( sXML_mouse_as_pen, "mouse-as-pen" );
XML_CONSTASCII_ACTION( sXML_mouse_visible, "mouse-visible" );
XML_CONSTASCII_ACTION( sXML_mpadded, "mpadded");
XML_CONSTASCII_ACTION( sXML_mphantom, "mphantom");
XML_CONSTASCII_ACTION( sXML_mprescripts, "mprescripts");
XML_CONSTASCII_ACTION( sXML_mroot, "mroot");
XML_CONSTASCII_ACTION( sXML_mrow, "mrow");
XML_CONSTASCII_ACTION( sXML_ms, "ms");
XML_CONSTASCII_ACTION( sXML_mspace, "mspace");
XML_CONSTASCII_ACTION( sXML_msqrt, "msqrt");
XML_CONSTASCII_ACTION( sXML_mstyle, "mstyle");
XML_CONSTASCII_ACTION( sXML_msub, "msub");
XML_CONSTASCII_ACTION( sXML_msubsup, "msubsup");
XML_CONSTASCII_ACTION( sXML_msup, "msup");
XML_CONSTASCII_ACTION( sXML_mtable, "mtable");
XML_CONSTASCII_ACTION( sXML_mtd, "mtd");
XML_CONSTASCII_ACTION( sXML_mtext, "mtext");
XML_CONSTASCII_ACTION( sXML_mtr, "mtr");
XML_CONSTASCII_ACTION( sXML_multi_deletion_spanned, "multi-deletion-spanned");
XML_CONSTASCII_ACTION( sXML_munder, "munder");
XML_CONSTASCII_ACTION( sXML_munderover, "munderover");
XML_CONSTASCII_ACTION( sXML_name, "name" );
XML_CONSTASCII_ACTION( sXML_name_and_extension, "name-and-extension" );
XML_CONSTASCII_ACTION( sXML_named_expression, "named-expression");
XML_CONSTASCII_ACTION( sXML_named_expressions, "named-expressions");
XML_CONSTASCII_ACTION( sXML_named_range, "named-range");
XML_CONSTASCII_ACTION( sXML_navy, "navy");
XML_CONSTASCII_ACTION( sXML_neq, "neq" );
XML_CONSTASCII_ACTION( sXML_new, "new" );
XML_CONSTASCII_ACTION( sXML_next, "next" );
XML_CONSTASCII_ACTION( sXML_next_page, "next-page" );
XML_CONSTASCII_ACTION( sXML_next_style_name, "next-style-name" );
XML_CONSTASCII_ACTION( sXML_nohref, "nohref" );
XML_CONSTASCII_ACTION( sXML_no_limit, "no-limit" );
XML_CONSTASCII_ACTION( sXML_no_wrap, "no-wrap" );
XML_CONSTASCII_ACTION( sXML_noempty, "!empty");
XML_CONSTASCII_ACTION( sXML_nomatch, "!match");
XML_CONSTASCII_ACTION( sXML_none, "none" );
XML_CONSTASCII_ACTION( sXML_noprtsubset, "notprsubset" );
XML_CONSTASCII_ACTION( sXML_normal, "normal" );
XML_CONSTASCII_ACTION( sXML_normals_direction, "normals-direction" );
XML_CONSTASCII_ACTION( sXML_normals_kind, "normals-kind" );
XML_CONSTASCII_ACTION( sXML_not, "not" );
XML_CONSTASCII_ACTION( sXML_not_equal_date, "not-equal-date" );
XML_CONSTASCII_ACTION( sXML_note, "note" );
XML_CONSTASCII_ACTION( sXML_notes, "notes" );
XML_CONSTASCII_ACTION( sXML_notin, "notin" );
XML_CONSTASCII_ACTION( sXML_notsubset, "notsubset" );
XML_CONSTASCII_ACTION( sXML_null_date, "null-date" );
XML_CONSTASCII_ACTION( sXML_null_year, "null-year" );
XML_CONSTASCII_ACTION( sXML_num_format, "num-format" );
XML_CONSTASCII_ACTION( sXML_num_letter_sync, "num-letter-sync" );
XML_CONSTASCII_ACTION( sXML_num_prefix, "num-prefix" );
XML_CONSTASCII_ACTION( sXML_num_suffix, "num-suffix" );
XML_CONSTASCII_ACTION( sXML_number, "number" );
XML_CONSTASCII_ACTION( sXML_number_and_name, "number-and-name" );
XML_CONSTASCII_ACTION( sXML_number_columns_repeated, "number-columns-repeated" );
XML_CONSTASCII_ACTION( sXML_number_columns_spanned, "number-columns-spanned" );
XML_CONSTASCII_ACTION( sXML_number_lines, "number-lines" );
XML_CONSTASCII_ACTION( sXML_number_matrix_columns_spanned, "number-matrix-columns-spanned" );
XML_CONSTASCII_ACTION( sXML_number_matrix_rows_spanned, "number-matrix-rows-spanned" );
XML_CONSTASCII_ACTION( sXML_number_position, "number-position" );
XML_CONSTASCII_ACTION( sXML_number_rows_repeated, "number-rows-repeated" );
XML_CONSTASCII_ACTION( sXML_number_rows_spanned, "number-rows-spanned" );
XML_CONSTASCII_ACTION( sXML_number_style, "number-style" );
XML_CONSTASCII_ACTION( sXML_number_wrapped_paragraphs, "number-wrapped-paragraphs" );
XML_CONSTASCII_ACTION( sXML_numbered_entries, "numbered-entries" );
XML_CONSTASCII_ACTION( sXML_object, "object" );
XML_CONSTASCII_ACTION( sXML_object_count, "object-count" );
XML_CONSTASCII_ACTION( sXML_object_index, "object-index" );
XML_CONSTASCII_ACTION( sXML_object_index_entry_template, "object-index-entry-template" );
XML_CONSTASCII_ACTION( sXML_object_index_source, "object-index-source" );
XML_CONSTASCII_ACTION( sXML_object_name, "object-name");
XML_CONSTASCII_ACTION( sXML_object_ole, "object-ole" );
XML_CONSTASCII_ACTION( sXML_objects, "objects" );
XML_CONSTASCII_ACTION( sXML_odd_page, "odd-page" );
XML_CONSTASCII_ACTION( sXML_offset, "offset" );
XML_CONSTASCII_ACTION( sXML_olive, "olive" );
XML_CONSTASCII_ACTION( sXML_online, "online" );
XML_CONSTASCII_ACTION( sXML_online_text, "online-text" );
XML_CONSTASCII_ACTION( sXML_onLoad, "onLoad" );
XML_CONSTASCII_ACTION( sXML_onRequest, "onRequest" );
XML_CONSTASCII_ACTION( sXML_on_update_keep_size, "on-update-keep-size");
XML_CONSTASCII_ACTION( sXML_on_update_keep_styles, "on-update-keep-styles");
XML_CONSTASCII_ACTION( sXML_opaque_background, "background" );
XML_CONSTASCII_ACTION( sXML_opaque_foreground, "foreground" );
XML_CONSTASCII_ACTION( sXML_open, "open" );
XML_CONSTASCII_ACTION( sXML_open_horizontal, "open-horizontal" );
XML_CONSTASCII_ACTION( sXML_open_vertical, "open-vertical" );
XML_CONSTASCII_ACTION( sXML_operation, "operation");
XML_CONSTASCII_ACTION( sXML_operator, "operator");
XML_CONSTASCII_ACTION( sXML_optimal, "optimal");
XML_CONSTASCII_ACTION( sXML_or, "or");
XML_CONSTASCII_ACTION( sXML_order, "order");
XML_CONSTASCII_ACTION( sXML_ordered_list, "ordered-list" );
XML_CONSTASCII_ACTION( sXML_organizations, "organizations" );
XML_CONSTASCII_ACTION( sXML_orientation, "orientation");
XML_CONSTASCII_ACTION( sXML_orientation_landscape, "orientation-landscape" );
XML_CONSTASCII_ACTION( sXML_orientation_portrait, "orientation-portrait" );
XML_CONSTASCII_ACTION( sXML_origin, "origin" );
XML_CONSTASCII_ACTION( sXML_orphans, "orphans" );
XML_CONSTASCII_ACTION( sXML_outline_level, "outline-level" );
XML_CONSTASCII_ACTION( sXML_outline_level_style, "outline-level-style" );
XML_CONSTASCII_ACTION( sXML_outline_style, "outline-style" );
XML_CONSTASCII_ACTION( sXML_outset, "outset" );
XML_CONSTASCII_ACTION( sXML_outside, "outside" );
XML_CONSTASCII_ACTION( sXML_overlap, "overlap" );
XML_CONSTASCII_ACTION( sXML_p, "p" );
XML_CONSTASCII_ACTION( sXML_package_name, "package-name" );
XML_CONSTASCII_ACTION( sXML_padding, "padding" );
XML_CONSTASCII_ACTION( sXML_padding_bottom, "padding-bottom" );
XML_CONSTASCII_ACTION( sXML_padding_left, "padding-left" );
XML_CONSTASCII_ACTION( sXML_padding_right, "padding-right" );
XML_CONSTASCII_ACTION( sXML_padding_top, "padding-top" );
XML_CONSTASCII_ACTION( sXML_page, "page" );
XML_CONSTASCII_ACTION( sXML_page_adjust, "page-adjust" );
XML_CONSTASCII_ACTION( sXML_page_breaks_on_group_change, "page-breaks-on-group-change");
XML_CONSTASCII_ACTION( sXML_page_content, "page-content" );
XML_CONSTASCII_ACTION( sXML_page_continuation_string, "page-continuation-string" );
XML_CONSTASCII_ACTION( sXML_page_count, "page-count" );
XML_CONSTASCII_ACTION( sXML_page_end_margin, "page-end-margin" );
XML_CONSTASCII_ACTION( sXML_page_height, "page-height" );
XML_CONSTASCII_ACTION( sXML_page_master, "page-master" );
XML_CONSTASCII_ACTION( sXML_page_master_name, "page-master-name" );
XML_CONSTASCII_ACTION( sXML_page_number, "page-number" );
XML_CONSTASCII_ACTION( sXML_page_start_margin, "page-start-margin" );
XML_CONSTASCII_ACTION( sXML_page_style_name, "page-style-name" );
XML_CONSTASCII_ACTION( sXML_page_thumbnail, "page-thumbnail" );
XML_CONSTASCII_ACTION( sXML_page_usage, "page-usage" );
XML_CONSTASCII_ACTION( sXML_page_variable_get, "page-variable-get" );
XML_CONSTASCII_ACTION( sXML_page_variable_set, "page-variable-set" );
XML_CONSTASCII_ACTION( sXML_page_view_zoom_value, "page-view-zoom-value" );
XML_CONSTASCII_ACTION( sXML_page_width, "page-width" );
XML_CONSTASCII_ACTION( sXML_pages, "pages" );
XML_CONSTASCII_ACTION( sXML_paper_tray_number, "paper-tray-number" );
XML_CONSTASCII_ACTION( sXML_paragraph, "paragraph" );
XML_CONSTASCII_ACTION( sXML_paragraph_content, "paragraph-content" );
XML_CONSTASCII_ACTION( sXML_paragraph_count, "paragraph-count" );
XML_CONSTASCII_ACTION( sXML_paragraph_end_margin, "paragraph-end-margin" );
XML_CONSTASCII_ACTION( sXML_paragraph_start_margin, "paragraph-start-margin" );
XML_CONSTASCII_ACTION( sXML_param, "param" );
XML_CONSTASCII_ACTION( sXML_parallel, "parallel" );
XML_CONSTASCII_ACTION( sXML_parent_style_name, "parent-style-name" );
XML_CONSTASCII_ACTION( sXML_parse_sql_statement, "parse-sql-statement");
XML_CONSTASCII_ACTION( sXML_parsed, "parsed" );
XML_CONSTASCII_ACTION( sXML_pause, "pause" );
XML_CONSTASCII_ACTION( sXML_partialdiff, "partialdiff");
XML_CONSTASCII_ACTION( sXML_password, "password");
XML_CONSTASCII_ACTION( sXML_passwort, "passwort");
XML_CONSTASCII_ACTION( sXML_path , "path" );
XML_CONSTASCII_ACTION( sXML_pending , "pending" );
XML_CONSTASCII_ACTION( sXML_percentage, "percentage");
XML_CONSTASCII_ACTION( sXML_percentage_style, "percentage-style" );
XML_CONSTASCII_ACTION( sXML_perspective, "perspective");
XML_CONSTASCII_ACTION( sXML_phdthesis, "phdthesis" );
XML_CONSTASCII_ACTION( sXML_phong, "phong");
XML_CONSTASCII_ACTION( sXML_pie_offset, "pie-offset" );
XML_CONSTASCII_ACTION( sXML_placeholder, "placeholder" );
XML_CONSTASCII_ACTION( sXML_placeholder_type, "placeholder-type" );
XML_CONSTASCII_ACTION( sXML_placing, "placing" );
XML_CONSTASCII_ACTION( sXML_plain_number, "plain-number" );
XML_CONSTASCII_ACTION( sXML_plain_number_and_name, "plain-number-and-name" );
XML_CONSTASCII_ACTION( sXML_plot_area, "plot-area" );
XML_CONSTASCII_ACTION( sXML_plugin, "plugin" );
XML_CONSTASCII_ACTION( sXML_plus, "plus" );
XML_CONSTASCII_ACTION( sXML_points, "points" );
XML_CONSTASCII_ACTION( sXML_polygon , "polygon" );
XML_CONSTASCII_ACTION( sXML_polyline , "polyline" );
XML_CONSTASCII_ACTION( sXML_polynomial, "polynomial" );
XML_CONSTASCII_ACTION( sXML_pool_id, "pool-id" );
XML_CONSTASCII_ACTION( sXML_portrait, "portrait" );
XML_CONSTASCII_ACTION( sXML_position, "position" );
XML_CONSTASCII_ACTION( sXML_position_bottom, "position-bottom" );
XML_CONSTASCII_ACTION( sXML_position_left, "position-left" );
XML_CONSTASCII_ACTION( sXML_position_right, "position-right" );
XML_CONSTASCII_ACTION( sXML_position_top, "position-top" );
XML_CONSTASCII_ACTION( sXML_posture_italic, "italic" );
XML_CONSTASCII_ACTION( sXML_posture_normal, "normal" );
XML_CONSTASCII_ACTION( sXML_posture_oblique, "oblique" );
XML_CONSTASCII_ACTION( sXML_power, "power" );
XML_CONSTASCII_ACTION( sXML_precision_as_shown, "precision-as-shown" );
XML_CONSTASCII_ACTION( sXML_prefix, "prefix" );
XML_CONSTASCII_ACTION( sXML_presentation, "presentation" );
XML_CONSTASCII_ACTION( sXML_presentation_chart , "chart" );
XML_CONSTASCII_ACTION( sXML_presentation_graphic , "graphic" );
XML_CONSTASCII_ACTION( sXML_presentation_notes , "notes" );
XML_CONSTASCII_ACTION( sXML_presentation_object , "object" );
XML_CONSTASCII_ACTION( sXML_presentation_orgchart , "orgchart" );
XML_CONSTASCII_ACTION( sXML_presentation_outline , "outline" );
XML_CONSTASCII_ACTION( sXML_presentation_page , "page" );
XML_CONSTASCII_ACTION( sXML_presentation_page_layout, "presentation-page-layout" );
XML_CONSTASCII_ACTION( sXML_presentation_page_layout_name, "presentation-page-layout-name" );
XML_CONSTASCII_ACTION( sXML_presentation_subtitle , "subtitle" );
XML_CONSTASCII_ACTION( sXML_presentation_table , "table" );
XML_CONSTASCII_ACTION( sXML_presentation_title , "title" );
XML_CONSTASCII_ACTION( sXML_previous, "previous" );
XML_CONSTASCII_ACTION( sXML_previous_page, "previous-page" );
XML_CONSTASCII_ACTION( sXML_print, "print" );
XML_CONSTASCII_ACTION( sXML_printable, "printable" );
XML_CONSTASCII_ACTION( sXML_print_content, "print-content");
XML_CONSTASCII_ACTION( sXML_print_date, "print-date" );
XML_CONSTASCII_ACTION( sXML_print_orientation, "print-orientation");
XML_CONSTASCII_ACTION( sXML_print_page_order, "print-page-order");
XML_CONSTASCII_ACTION( sXML_print_range, "print-range");
XML_CONSTASCII_ACTION( sXML_print_ranges, "print-ranges");
XML_CONSTASCII_ACTION( sXML_print_time, "print-time" );
XML_CONSTASCII_ACTION( sXML_printed_by, "printed-by" );
XML_CONSTASCII_ACTION( sXML_proceedings, "proceedings" );
XML_CONSTASCII_ACTION( sXML_product, "product" );
XML_CONSTASCII_ACTION( sXML_projection, "projection");
XML_CONSTASCII_ACTION( sXML_properties, "properties" );
XML_CONSTASCII_ACTION( sXML_protect, "protect" );
XML_CONSTASCII_ACTION( sXML_protect_content, "content" );
XML_CONSTASCII_ACTION( sXML_protect_position, "position" );
XML_CONSTASCII_ACTION( sXML_protect_size, "size" );
XML_CONSTASCII_ACTION( sXML_protected, "protected" );
XML_CONSTASCII_ACTION( sXML_protection_key, "protection-key" );
XML_CONSTASCII_ACTION( sXML_prsubset, "prsubset" );
XML_CONSTASCII_ACTION( sXML_publisher, "publisher" );
XML_CONSTASCII_ACTION( sXML_punctuation_wrap, "punctuation-wrap" );
XML_CONSTASCII_ACTION( sXML_purple, "purple" );
XML_CONSTASCII_ACTION( sXML_pyramid, "pyramid" );
XML_CONSTASCII_ACTION( sXML_quarter, "quarter" );
XML_CONSTASCII_ACTION( sXML_query_name, "query-name");
XML_CONSTASCII_ACTION( sXML_quo_vadis, "quo-vadis" );
XML_CONSTASCII_ACTION( sXML_quotient, "quotient" );
XML_CONSTASCII_ACTION( sXML_r, "r" );
XML_CONSTASCII_ACTION( sXML_radar, "radar" );
XML_CONSTASCII_ACTION( sXML_random, "random" );
XML_CONSTASCII_ACTION( sXML_range_address, "range-address");
XML_CONSTASCII_ACTION( sXML_range_usable_as, "range-usable-as");
XML_CONSTASCII_ACTION( sXML_recreate_on_edit , "recreate-on-edit" );
XML_CONSTASCII_ACTION( sXML_rect , "rect" );
XML_CONSTASCII_ACTION( sXML_red , "red" );
XML_CONSTASCII_ACTION( sXML_ref_name, "ref-name" );
XML_CONSTASCII_ACTION( sXML_reference, "reference" );
XML_CONSTASCII_ACTION( sXML_reference_end, "reference-end" );
XML_CONSTASCII_ACTION( sXML_reference_format, "reference-format" );
XML_CONSTASCII_ACTION( sXML_reference_mark, "reference-mark" );
XML_CONSTASCII_ACTION( sXML_reference_mark_end, "reference-mark-end" );
XML_CONSTASCII_ACTION( sXML_reference_mark_start, "reference-mark-start" );
XML_CONSTASCII_ACTION( sXML_reference_ref, "reference-ref" );
XML_CONSTASCII_ACTION( sXML_reference_start, "reference-start" );
XML_CONSTASCII_ACTION( sXML_reference_type, "reference-type" );
XML_CONSTASCII_ACTION( sXML_refresh_delay, "refresh-delay" );
XML_CONSTASCII_ACTION( sXML_region_center, "region-center" );
XML_CONSTASCII_ACTION( sXML_region_left, "region-left" );
XML_CONSTASCII_ACTION( sXML_region_right, "region-right" );
XML_CONSTASCII_ACTION( sXML_register_true, "register-true" );
XML_CONSTASCII_ACTION( sXML_register_truth_ref_style_name, "register-truth-ref-style-name" );
XML_CONSTASCII_ACTION( sXML_regression_type, "regression-type" );
XML_CONSTASCII_ACTION( sXML_rejected, "rejected" );
XML_CONSTASCII_ACTION( sXML_rejecting_change_id, "rejecting-change-id" );
XML_CONSTASCII_ACTION( sXML_rejection, "rejection" );
XML_CONSTASCII_ACTION( sXML_rel_column_width, "rel-column-width" );
XML_CONSTASCII_ACTION( sXML_rel_height, "rel-height" );
XML_CONSTASCII_ACTION( sXML_rel_width, "rel-width" );
XML_CONSTASCII_ACTION( sXML_relative, "relative" ) ;
XML_CONSTASCII_ACTION( sXML_relative_tab_stop_position, "relative-tab-stop-position" );
XML_CONSTASCII_ACTION( sXML_reln, "reln" ) ;
XML_CONSTASCII_ACTION( sXML_rem, "rem" ) ;
XML_CONSTASCII_ACTION( sXML_remove_dependents, "remove-dependents" );
XML_CONSTASCII_ACTION( sXML_remove_precedents, "remove-precedents" );
XML_CONSTASCII_ACTION( sXML_repeat, "repeat" );
XML_CONSTASCII_ACTION( sXML_repeat_column, "repeat-column");
XML_CONSTASCII_ACTION( sXML_repeat_row, "repeat-row");
XML_CONSTASCII_ACTION( sXML_repeated, "repeated" );
XML_CONSTASCII_ACTION( sXML_replace, "replace" );
XML_CONSTASCII_ACTION( sXML_report_type, "report-type" );
XML_CONSTASCII_ACTION( sXML_restart_on_page, "restart-on-page" );
XML_CONSTASCII_ACTION( sXML_revision, "revision" );
XML_CONSTASCII_ACTION( sXML_ridge, "ridge" );
XML_CONSTASCII_ACTION( sXML_right, "right" );
XML_CONSTASCII_ACTION( sXML_right_outside, "right-outside" );
XML_CONSTASCII_ACTION( sXML_ring, "ring" );
XML_CONSTASCII_ACTION( sXML_role, "role" );
XML_CONSTASCII_ACTION( sXML_roll_from_bottom, "roll-from-bottom" );
XML_CONSTASCII_ACTION( sXML_roll_from_left, "roll-from-left" );
XML_CONSTASCII_ACTION( sXML_roll_from_right, "roll-from-right" );
XML_CONSTASCII_ACTION( sXML_roman, "roman" );
XML_CONSTASCII_ACTION( sXML_root, "root" );
XML_CONSTASCII_ACTION( sXML_rotate, "rotate" );
XML_CONSTASCII_ACTION( sXML_rotation, "rotation" );
XML_CONSTASCII_ACTION( sXML_rotation_align, "rotation-align" );
XML_CONSTASCII_ACTION( sXML_rotation_angle, "rotation-angle" );
XML_CONSTASCII_ACTION( sXML_round , "round" );
XML_CONSTASCII_ACTION( sXML_row, "row");
XML_CONSTASCII_ACTION( sXML_rows, "rows");
XML_CONSTASCII_ACTION( sXML_row_height, "row-height" );
XML_CONSTASCII_ACTION( sXML_row_number, "row-number" );
XML_CONSTASCII_ACTION( sXML_ruby, "ruby" );
XML_CONSTASCII_ACTION( sXML_ruby_align, "ruby-align" );
XML_CONSTASCII_ACTION( sXML_ruby_base, "ruby-base" );
XML_CONSTASCII_ACTION( sXML_ruby_position, "ruby-position" );
XML_CONSTASCII_ACTION( sXML_ruby_text, "ruby-text" );
XML_CONSTASCII_ACTION( sXML_run_through, "run-through" );
XML_CONSTASCII_ACTION( sXML_rx, "rx" );
XML_CONSTASCII_ACTION( sXML_ry, "ry" );
XML_CONSTASCII_ACTION( sXML_s, "s" );
XML_CONSTASCII_ACTION( sXML_scale, "scale" );
XML_CONSTASCII_ACTION( sXML_scale_min, "scale-min" );
XML_CONSTASCII_ACTION( sXML_scale_text, "scale-text" );
XML_CONSTASCII_ACTION( sXML_scale_to, "scale-to" );
XML_CONSTASCII_ACTION( sXML_scale_to_pages, "scale-to-pages" );
XML_CONSTASCII_ACTION( sXML_scatter, "scatter" );
XML_CONSTASCII_ACTION( sXML_scenario, "scenario" );
XML_CONSTASCII_ACTION( sXML_scenario_ranges, "scenario-ranges" );
XML_CONSTASCII_ACTION( sXML_scene, "scene");
XML_CONSTASCII_ACTION( sXML_school, "school" );
XML_CONSTASCII_ACTION( sXML_scientific_number, "scientific-number" );
XML_CONSTASCII_ACTION( sXML_score_spaces, "score-spaces" );
XML_CONSTASCII_ACTION( sXML_script, "script" );
XML_CONSTASCII_ACTION( sXML_scroll, "scroll" );
XML_CONSTASCII_ACTION( sXML_sdev, "sdev" );
XML_CONSTASCII_ACTION( sXML_search_criteria_must_apply_to_whole_cell, "search-criteria-must-apply-to-whole-cell" );
XML_CONSTASCII_ACTION( sXML_sec, "sec" );
XML_CONSTASCII_ACTION( sXML_sech, "sech" );
XML_CONSTASCII_ACTION( sXML_second_date_time, "second-date-time" );
XML_CONSTASCII_ACTION( sXML_seconds, "seconds" );
XML_CONSTASCII_ACTION( sXML_section, "section" );
XML_CONSTASCII_ACTION( sXML_section_desc, "section-desc" );
XML_CONSTASCII_ACTION( sXML_section_name, "section-name" );
XML_CONSTASCII_ACTION( sXML_section_source, "section-source" );
XML_CONSTASCII_ACTION( sXML_select_page, "select-page" );
XML_CONSTASCII_ACTION( sXML_selector, "selector" );
XML_CONSTASCII_ACTION( sXML_semantics, "semantics" );
XML_CONSTASCII_ACTION( sXML_semi_automatic, "semi-automatic" );
XML_CONSTASCII_ACTION( sXML_sender_city, "sender-city" );
XML_CONSTASCII_ACTION( sXML_sender_company, "sender-company" );
XML_CONSTASCII_ACTION( sXML_sender_country, "sender-country" );
XML_CONSTASCII_ACTION( sXML_sender_email, "sender-email" );
XML_CONSTASCII_ACTION( sXML_sender_fax, "sender-fax" );
XML_CONSTASCII_ACTION( sXML_sender_firstname, "sender-firstname" );
XML_CONSTASCII_ACTION( sXML_sender_initials, "sender-initials" );
XML_CONSTASCII_ACTION( sXML_sender_lastname, "sender-lastname" );
XML_CONSTASCII_ACTION( sXML_sender_phone_private, "sender-phone-private" );
XML_CONSTASCII_ACTION( sXML_sender_phone_work, "sender-phone-work" );
XML_CONSTASCII_ACTION( sXML_sender_position, "sender-position" );
XML_CONSTASCII_ACTION( sXML_sender_postal_code, "sender-postal-code" );
XML_CONSTASCII_ACTION( sXML_sender_state_or_province, "sender-state-or-province" );
XML_CONSTASCII_ACTION( sXML_sender_street, "sender-street" );
XML_CONSTASCII_ACTION( sXML_sender_title, "sender-title" );
XML_CONSTASCII_ACTION( sXML_sep, "sep" );
XML_CONSTASCII_ACTION( sXML_separation_character, "separation-character" );
XML_CONSTASCII_ACTION( sXML_separator, "separator" );
XML_CONSTASCII_ACTION( sXML_sequence, "sequence" );
XML_CONSTASCII_ACTION( sXML_sequence_decl, "sequence-decl" );
XML_CONSTASCII_ACTION( sXML_sequence_decls, "sequence-decls" );
XML_CONSTASCII_ACTION( sXML_sequence_ref, "sequence-ref" );
XML_CONSTASCII_ACTION( sXML_series, "series" );
XML_CONSTASCII_ACTION( sXML_series_source, "series-source" );
XML_CONSTASCII_ACTION( sXML_server_map, "server-map" );
XML_CONSTASCII_ACTION( sXML_set, "set" );
XML_CONSTASCII_ACTION( sXML_setdiff, "setdiff" );
XML_CONSTASCII_ACTION( sXML_settings, "settings" );
XML_CONSTASCII_ACTION( sXML_shade_mode, "shade-mode");
XML_CONSTASCII_ACTION( sXML_shadow, "shadow" );
XML_CONSTASCII_ACTION( sXML_shadow_color , "shadow-color" );
XML_CONSTASCII_ACTION( sXML_shadow_offset_x , "shadow-offset-x" );
XML_CONSTASCII_ACTION( sXML_shadow_offset_y , "shadow-offset-y" );
XML_CONSTASCII_ACTION( sXML_shadow_slant, "shadow-slant");
XML_CONSTASCII_ACTION( sXML_shadow_transparency , "shadow-transparency" );
XML_CONSTASCII_ACTION( sXML_shape, "shape" );
XML_CONSTASCII_ACTION( sXML_shapes, "shapes" );
XML_CONSTASCII_ACTION( sXML_sheet_name, "sheet-name" );
XML_CONSTASCII_ACTION( sXML_shininess, "shininess" );
XML_CONSTASCII_ACTION( sXML_short, "short" );
XML_CONSTASCII_ACTION( sXML_show, "show" );
XML_CONSTASCII_ACTION( sXML_show_accepted_changes, "show-accepted-changes" );
XML_CONSTASCII_ACTION( sXML_show_rejected_changes, "show-rejected-changes" );
XML_CONSTASCII_ACTION( sXML_show_changes, "show-changes" );
XML_CONSTASCII_ACTION( sXML_show_changes_by_author, "show-changes-by-author" );
XML_CONSTASCII_ACTION( sXML_show_changes_by_author_name, "show-changes-by-author-name" );
XML_CONSTASCII_ACTION( sXML_show_changes_by_comment, "show-changes-by-comment" );
XML_CONSTASCII_ACTION( sXML_show_changes_by_comment_text, "show-changes-by-comment-text" );
XML_CONSTASCII_ACTION( sXML_show_changes_by_datetime, "show-changes-by-datetime" );
XML_CONSTASCII_ACTION( sXML_show_changes_by_datetime_mode, "show-changes-by-datetime-mode" );
XML_CONSTASCII_ACTION( sXML_show_changes_by_datetime_first_datetime, "show-changes-by-datetime-first-datetime" );
XML_CONSTASCII_ACTION( sXML_show_changes_by_datetime_second_datetime, "show-changes-by-datetime-second-datetime" );
XML_CONSTASCII_ACTION( sXML_show_changes_by_ranges, "show-changes-by-ranges" );
XML_CONSTASCII_ACTION( sXML_show_changes_by_ranges_list, "show-changes-by-ranges-list" );
XML_CONSTASCII_ACTION( sXML_show_logo, "show-logo" );
XML_CONSTASCII_ACTION( sXML_show_unit, "show-unit" );
XML_CONSTASCII_ACTION( sXML_shows, "shows" );
XML_CONSTASCII_ACTION( sXML_side_by_side, "side-by-side" );
XML_CONSTASCII_ACTION( sXML_silver, "silver" );
XML_CONSTASCII_ACTION( sXML_simple, "simple" );
XML_CONSTASCII_ACTION( sXML_sin, "sin" );
XML_CONSTASCII_ACTION( sXML_since_date_time, "since-date-time" );
XML_CONSTASCII_ACTION( sXML_since_save, "since-save" );
XML_CONSTASCII_ACTION( sXML_sinh, "sinh" );
XML_CONSTASCII_ACTION( sXML_size, "size" );
XML_CONSTASCII_ACTION( sXML_size_protect, "size-protect" );
XML_CONSTASCII_ACTION( sXML_slide, "slide" );
XML_CONSTASCII_ACTION( sXML_slow, "slow" );
XML_CONSTASCII_ACTION( sXML_soft_page_break, "soft-page-break" );
XML_CONSTASCII_ACTION( sXML_solid, "solid" );
XML_CONSTASCII_ACTION( sXML_solid_type, "solid-type" );
XML_CONSTASCII_ACTION( sXML_sort, "sort");
XML_CONSTASCII_ACTION( sXML_sort_ascending, "sort-ascending" );
XML_CONSTASCII_ACTION( sXML_sort_by, "sort-by");
XML_CONSTASCII_ACTION( sXML_sort_by_position, "sort-by-position" );
XML_CONSTASCII_ACTION( sXML_sort_groups, "sort-groups");
XML_CONSTASCII_ACTION( sXML_sort_key, "sort-key");
XML_CONSTASCII_ACTION( sXML_sort_by_x_values, "sort-by-x-values" );
XML_CONSTASCII_ACTION( sXML_source_cell_range, "source-cell-range");
XML_CONSTASCII_ACTION( sXML_source_cell_range_addresses, "source-cell-range-addresses");
XML_CONSTASCII_ACTION( sXML_source_field_name, "source-field-name");
XML_CONSTASCII_ACTION( sXML_source_name, "source-name");
XML_CONSTASCII_ACTION( sXML_source_range_address, "source-range-address");
XML_CONSTASCII_ACTION( sXML_source_service, "source-service");
XML_CONSTASCII_ACTION( sXML_space_before, "space-before" );
XML_CONSTASCII_ACTION( sXML_span, "span" );
XML_CONSTASCII_ACTION( sXML_specular, "specular");
XML_CONSTASCII_ACTION( sXML_specular_color, "specular-color" );
XML_CONSTASCII_ACTION( sXML_sphere, "sphere" );
XML_CONSTASCII_ACTION( sXML_spiralin_left, "spiralin-left" );
XML_CONSTASCII_ACTION( sXML_spiralin_right, "spiralin-right" );
XML_CONSTASCII_ACTION( sXML_spiralout_left, "spiralout-left" );
XML_CONSTASCII_ACTION( sXML_spiralout_right, "spiralout-right" );
XML_CONSTASCII_ACTION( sXML_splines, "splines" );
XML_CONSTASCII_ACTION( sXML_split, "split" );
XML_CONSTASCII_ACTION( sXML_split_column, "split-column" );
XML_CONSTASCII_ACTION( sXML_split_position, "split-position" );
XML_CONSTASCII_ACTION( sXML_split_row, "split-row" );
XML_CONSTASCII_ACTION( sXML_spreadsheet , "spreadsheet" );
XML_CONSTASCII_ACTION( sXML_sql_statement, "sql-statement");
XML_CONSTASCII_ACTION( sXML_stacked, "stacked" );
XML_CONSTASCII_ACTION( sXML_stagger_even, "stagger-even" );
XML_CONSTASCII_ACTION( sXML_stagger_odd, "stagger-odd" );
XML_CONSTASCII_ACTION( sXML_standard, "standard" );
XML_CONSTASCII_ACTION( sXML_standard_deviation, "standard-deviation" );
XML_CONSTASCII_ACTION( sXML_starbasic, "starbasic" );
XML_CONSTASCII_ACTION( sXML_start, "start" );
XML_CONSTASCII_ACTION( sXML_start_color, "start-color" );
XML_CONSTASCII_ACTION( sXML_start_column, "start-column" );
XML_CONSTASCII_ACTION( sXML_start_intensity, "start-intensity" );
XML_CONSTASCII_ACTION( sXML_start_numbering_at, "start-numbering-at" );
XML_CONSTASCII_ACTION( sXML_start_page, "start-page" );
XML_CONSTASCII_ACTION( sXML_start_position, "start-position" );
XML_CONSTASCII_ACTION( sXML_start_row, "start-row" );
XML_CONSTASCII_ACTION( sXML_start_table, "start-table" );
XML_CONSTASCII_ACTION( sXML_start_value, "start-value" );
XML_CONSTASCII_ACTION( sXML_start_with_navigator, "start-with-navigator" );
XML_CONSTASCII_ACTION( sXML_statistics, "statistics" );
XML_CONSTASCII_ACTION( sXML_status, "status" );
XML_CONSTASCII_ACTION( sXML_stay_on_top, "stay-on-top" );
XML_CONSTASCII_ACTION( sXML_stdev, "stdev" );
XML_CONSTASCII_ACTION( sXML_stdevp, "stdevp" );
XML_CONSTASCII_ACTION( sXML_steps, "steps" );
XML_CONSTASCII_ACTION( sXML_stock, "stock" );
XML_CONSTASCII_ACTION( sXML_stock_updown_bars, "stock-updown-bars" );
XML_CONSTASCII_ACTION( sXML_stock_with_volume, "stock-with-volume" );
XML_CONSTASCII_ACTION( sXML_stop, "stop" );
XML_CONSTASCII_ACTION( sXML_stretch_from_bottom, "stretch-from-bottom" );
XML_CONSTASCII_ACTION( sXML_stretch_from_left, "stretch-from-left" );
XML_CONSTASCII_ACTION( sXML_stretch_from_right, "stretch-from-right" );
XML_CONSTASCII_ACTION( sXML_stretch_from_top, "stretch-from-top" );
XML_CONSTASCII_ACTION( sXML_stretchy, "stretchy" );
XML_CONSTASCII_ACTION( sXML_strict , "strict" );
XML_CONSTASCII_ACTION( sXML_string, "string");
XML_CONSTASCII_ACTION( sXML_string_value, "string-value");
XML_CONSTASCII_ACTION( sXML_string_value_if_false, "string-value-if-false" );
XML_CONSTASCII_ACTION( sXML_string_value_if_true, "string-value-if-true" );
XML_CONSTASCII_ACTION( sXML_stroke , "stroke" );
XML_CONSTASCII_ACTION( sXML_stroke_color , "stroke-color" );
XML_CONSTASCII_ACTION( sXML_stroke_dash , "stroke-dash" );
XML_CONSTASCII_ACTION( sXML_stroke_linejoin , "stroke-linejoin" );
XML_CONSTASCII_ACTION( sXML_stroke_opacity, "stroke-opacity" );
XML_CONSTASCII_ACTION( sXML_stroke_width, "stroke-width" );
XML_CONSTASCII_ACTION( sXML_structure_protected, "structure-protected" );
XML_CONSTASCII_ACTION( sXML_style, "style" );
XML_CONSTASCII_ACTION( sXML_style_name, "style-name" );
XML_CONSTASCII_ACTION( sXML_styles, "styles" );
XML_CONSTASCII_ACTION( sXML_stylesheet, "stylesheet" );
XML_CONSTASCII_ACTION( sXML_sub_table, "sub-table" );
XML_CONSTASCII_ACTION( sXML_subject, "subject" );
XML_CONSTASCII_ACTION( sXML_subset, "subset" );
XML_CONSTASCII_ACTION( sXML_subtitle, "subtitle" );
XML_CONSTASCII_ACTION( sXML_subtotal_field, "subtotal-field");
XML_CONSTASCII_ACTION( sXML_subtotal_rule, "subtotal-rule");
XML_CONSTASCII_ACTION( sXML_subtotal_rules, "subtotal-rules");
XML_CONSTASCII_ACTION( sXML_suffix, "suffix" );
XML_CONSTASCII_ACTION( sXML_sum, "sum" );
XML_CONSTASCII_ACTION( sXML_swiss, "swiss" );
XML_CONSTASCII_ACTION( sXML_symbol, "symbol" );
XML_CONSTASCII_ACTION( sXML_symbol_height, "symbol-height" );
XML_CONSTASCII_ACTION( sXML_symbol_image_name, "symbol-image-name" );
XML_CONSTASCII_ACTION( sXML_symbol_width, "symbol-width" );
XML_CONSTASCII_ACTION( sXML_system, "system" );
XML_CONSTASCII_ACTION( sXML_tab_stop, "tab-stop" );
XML_CONSTASCII_ACTION( sXML_tab_stops, "tab-stops" );
XML_CONSTASCII_ACTION( sXML_table, "table" );
XML_CONSTASCII_ACTION( sXML_tables, "tables" );
XML_CONSTASCII_ACTION( sXML_table_background, "table-background" );
XML_CONSTASCII_ACTION( sXML_table_cell, "table-cell" );
XML_CONSTASCII_ACTION( sXML_table_centering, "table-centering" );
XML_CONSTASCII_ACTION( sXML_table_column, "table-column" );
XML_CONSTASCII_ACTION( sXML_table_column_group, "table-column-group" );
XML_CONSTASCII_ACTION( sXML_table_columns, "table-columns" );
XML_CONSTASCII_ACTION( sXML_table_count, "table-count" );
XML_CONSTASCII_ACTION( sXML_table_header, "table-header" );
XML_CONSTASCII_ACTION( sXML_table_header_columns, "table-header-columns" );
XML_CONSTASCII_ACTION( sXML_table_header_rows, "table-header-rows" );
XML_CONSTASCII_ACTION( sXML_table_index, "table-index" );
XML_CONSTASCII_ACTION( sXML_table_index_entry_template, "table-index-entry-template" );
XML_CONSTASCII_ACTION( sXML_table_index_source, "table-index-source" );
XML_CONSTASCII_ACTION( sXML_table_name, "table-name");
XML_CONSTASCII_ACTION( sXML_table_number_list, "table-number-list");
XML_CONSTASCII_ACTION( sXML_table_of_content, "table-of-content" );
XML_CONSTASCII_ACTION( sXML_table_of_content_entry_template, "table-of-content-entry-template" );
XML_CONSTASCII_ACTION( sXML_table_of_content_source, "table-of-content-source" );
XML_CONSTASCII_ACTION( sXML_table_page, "table-page" );
XML_CONSTASCII_ACTION( sXML_table_row, "table-row" );
XML_CONSTASCII_ACTION( sXML_table_row_group, "table-row-group" );
XML_CONSTASCII_ACTION( sXML_table_rows, "table-rows" );
XML_CONSTASCII_ACTION( sXML_table_source, "table-source" );
XML_CONSTASCII_ACTION( sXML_table_view, "table-view" );
XML_CONSTASCII_ACTION( sXML_tab_stop_distance, "tab-stop-distance" );
XML_CONSTASCII_ACTION( sXML_tan, "tan" );
XML_CONSTASCII_ACTION( sXML_tanh, "tanh" );
XML_CONSTASCII_ACTION( sXML_target_cell_address, "target-cell-address");
XML_CONSTASCII_ACTION( sXML_target_frame_name, "target-frame-name" );
XML_CONSTASCII_ACTION( sXML_target_range_address, "target-range-address");
XML_CONSTASCII_ACTION( sXML_tb_rl, "tb-rl" );
XML_CONSTASCII_ACTION( sXML_teal, "teal" );
XML_CONSTASCII_ACTION( sXML_techreport, "techreport" );
XML_CONSTASCII_ACTION( sXML_template, "template" );
XML_CONSTASCII_ACTION( sXML_template_name, "template-name" );
XML_CONSTASCII_ACTION( sXML_tendsto, "tendsto" );
XML_CONSTASCII_ACTION( sXML_tex_filter, "texture-filter" );
XML_CONSTASCII_ACTION( sXML_tex_generation_mode_x, "texture-generation-mode-x" );
XML_CONSTASCII_ACTION( sXML_tex_generation_mode_y, "texture-generation-mode-y" );
XML_CONSTASCII_ACTION( sXML_tex_kind, "texture-kind" );
XML_CONSTASCII_ACTION( sXML_tex_mode, "texture-mode" );
XML_CONSTASCII_ACTION( sXML_text, "text" );
XML_CONSTASCII_ACTION( sXML_text_align, "text-align" );
XML_CONSTASCII_ACTION( sXML_text_align_last, "text-align-last" );
XML_CONSTASCII_ACTION( sXML_text_align_source, "text-align-source" );
XML_CONSTASCII_ACTION( sXML_text_autospace, "text-autospace" );
XML_CONSTASCII_ACTION( sXML_text_background_color, "text-background-color" );
XML_CONSTASCII_ACTION( sXML_text_blinking, "text-blinking" );
XML_CONSTASCII_ACTION( sXML_text_box, "text-box" );
XML_CONSTASCII_ACTION( sXML_text_combine, "text-combine" );
XML_CONSTASCII_ACTION( sXML_text_combine_end_char, "text-combine-end-char" );
XML_CONSTASCII_ACTION( sXML_text_combine_start_char, "text-combine-start-char" );
XML_CONSTASCII_ACTION( sXML_text_content, "text-content" );
XML_CONSTASCII_ACTION( sXML_text_crossing_out, "text-crossing-out" );
XML_CONSTASCII_ACTION( sXML_text_emphasize, "text-emphasize" );
XML_CONSTASCII_ACTION( sXML_text_global, "text-global" );
XML_CONSTASCII_ACTION( sXML_text_indent, "text-indent" );
XML_CONSTASCII_ACTION( sXML_text_input, "text-input" );
XML_CONSTASCII_ACTION( sXML_text_outline, "text-outline" );
XML_CONSTASCII_ACTION( sXML_text_position, "text-position" );
XML_CONSTASCII_ACTION( sXML_text_rotation_angle, "text-rotation-angle" );
XML_CONSTASCII_ACTION( sXML_text_rotation_scale, "text-rotation-scale" );
XML_CONSTASCII_ACTION( sXML_text_scale, "text-scale" );
XML_CONSTASCII_ACTION( sXML_text_shadow, "text-shadow" );
XML_CONSTASCII_ACTION( sXML_text_style, "text-style" );
XML_CONSTASCII_ACTION( sXML_text_transform, "text-transform" );
XML_CONSTASCII_ACTION( sXML_text_underline, "text-underline" );
XML_CONSTASCII_ACTION( sXML_text_underline_color, "text-underline-color" );
XML_CONSTASCII_ACTION( sXML_textarea_horizontal_align, "textarea-horizontal-align" );
XML_CONSTASCII_ACTION( sXML_textarea_vertical_align, "textarea-vertical-align" );
XML_CONSTASCII_ACTION( sXML_textual, "textual" );
XML_CONSTASCII_ACTION( sXML_thick, "thick" );
XML_CONSTASCII_ACTION( sXML_thin, "thin" );
XML_CONSTASCII_ACTION( sXML_three_dimensional, "three-dimensional" );
XML_CONSTASCII_ACTION( sXML_thumbnail, "thumbnail" );
XML_CONSTASCII_ACTION( sXML_tick_marks_major_inner, "tick-marks-major-inner" );
XML_CONSTASCII_ACTION( sXML_tick_marks_major_outer, "tick-marks-major-outer" );
XML_CONSTASCII_ACTION( sXML_tick_marks_minor_inner, "tick-marks-minor-inner" );
XML_CONSTASCII_ACTION( sXML_tick_marks_minor_outer, "tick-marks-minor-outer" );
XML_CONSTASCII_ACTION( sXML_tile_repeat_offset, "tile-repeat-offset" );
XML_CONSTASCII_ACTION( sXML_time, "time");
XML_CONSTASCII_ACTION( sXML_time_adjust, "time-adjust" );
XML_CONSTASCII_ACTION( sXML_time_style, "time-style" );
XML_CONSTASCII_ACTION( sXML_time_value, "time-value");
XML_CONSTASCII_ACTION( sXML_times, "times");
XML_CONSTASCII_ACTION( sXML_title, "title" );
XML_CONSTASCII_ACTION( sXML_to_another_table, "to-another-table" );
XML_CONSTASCII_ACTION( sXML_toc_mark, "toc-mark" );
XML_CONSTASCII_ACTION( sXML_toc_mark_end, "toc-mark-end" );
XML_CONSTASCII_ACTION( sXML_toc_mark_start, "toc-mark-start" );
XML_CONSTASCII_ACTION( sXML_top, "top" );
XML_CONSTASCII_ACTION( sXML_top_percent, "top percent");
XML_CONSTASCII_ACTION( sXML_top_values, "top values");
XML_CONSTASCII_ACTION( sXML_trace_dependents, "trace-dependents" );
XML_CONSTASCII_ACTION( sXML_trace_errors, "trace-errors" );
XML_CONSTASCII_ACTION( sXML_trace_precedents, "trace-precedents" );
XML_CONSTASCII_ACTION( sXML_track_changes, "track-changes" );
XML_CONSTASCII_ACTION( sXML_tracked_changes, "tracked-changes" );
XML_CONSTASCII_ACTION( sXML_tracked_changes_view_settings, "tracked-changes-view-settings" );
XML_CONSTASCII_ACTION( sXML_transform , "transform" );
XML_CONSTASCII_ACTION( sXML_transition_on_click, "transition-on-click" );
XML_CONSTASCII_ACTION( sXML_transparency, "transparency" );
XML_CONSTASCII_ACTION( sXML_transparency_name, "transparency-name" );
XML_CONSTASCII_ACTION( sXML_transparent, "transparent" );
XML_CONSTASCII_ACTION( sXML_transpose, "transpose" );
XML_CONSTASCII_ACTION( sXML_true, "true" );
XML_CONSTASCII_ACTION( sXML_truncate_on_overflow, "truncate-on-overflow" );
XML_CONSTASCII_ACTION( sXML_ttb, "ttb");
XML_CONSTASCII_ACTION( sXML_type, "type" );
XML_CONSTASCII_ACTION( sXML_underline_bold, "bold" );
XML_CONSTASCII_ACTION( sXML_underline_bold_dash, "bold-dash" );
XML_CONSTASCII_ACTION( sXML_underline_bold_dot_dash, "bold-dot-dash" );
XML_CONSTASCII_ACTION( sXML_underline_bold_dot_dot_dash, "bold-dot-dot-dash" );
XML_CONSTASCII_ACTION( sXML_underline_bold_dotted, "bold-dotted" );
XML_CONSTASCII_ACTION( sXML_underline_bold_long_dash, "bold-long-dash" );
XML_CONSTASCII_ACTION( sXML_underline_bold_wave, "bold-wave" );
XML_CONSTASCII_ACTION( sXML_underline_dash, "dash" );
XML_CONSTASCII_ACTION( sXML_underline_dot_dash, "dot-dash" );
XML_CONSTASCII_ACTION( sXML_underline_dot_dot_dash, "dot-dot-dash" );
XML_CONSTASCII_ACTION( sXML_underline_dotted, "dotted" );
XML_CONSTASCII_ACTION( sXML_underline_double, "double" );
XML_CONSTASCII_ACTION( sXML_underline_double_wave, "double-wave" );
XML_CONSTASCII_ACTION( sXML_underline_long_dash, "long-dash" );
XML_CONSTASCII_ACTION( sXML_underline_none, "none" );
XML_CONSTASCII_ACTION( sXML_underline_single, "single" );
XML_CONSTASCII_ACTION( sXML_underline_small_wave, "small-wave" );
XML_CONSTASCII_ACTION( sXML_underline_wave, "wave" );
XML_CONSTASCII_ACTION( sXML_unformatted_text, "unformatted-text" );
XML_CONSTASCII_ACTION( sXML_union, "union" );
XML_CONSTASCII_ACTION( sXML_unit, "unit" );
XML_CONSTASCII_ACTION( sXML_unordered_list, "unordered-list" );
XML_CONSTASCII_ACTION( sXML_unpublished, "unpublished" );
XML_CONSTASCII_ACTION( sXML_uplimit, "uplimit" );
XML_CONSTASCII_ACTION( sXML_url, "url" );
XML_CONSTASCII_ACTION( sXML_use_caption, "use-caption" );
XML_CONSTASCII_ACTION( sXML_use_cell_protection, "use-cell-protection" );
XML_CONSTASCII_ACTION( sXML_use_chart_objects, "use-chart-objects" );
XML_CONSTASCII_ACTION( sXML_use_condition, "use-condition" );
XML_CONSTASCII_ACTION( sXML_use_draw_objects, "use-draw-objects" );
XML_CONSTASCII_ACTION( sXML_use_floating_frames, "use-floating-frames" );
XML_CONSTASCII_ACTION( sXML_use_graphics, "use-graphics" );
XML_CONSTASCII_ACTION( sXML_use_image_objects, "use-image-objects" );
XML_CONSTASCII_ACTION( sXML_use_index_marks, "use-index-marks" );
XML_CONSTASCII_ACTION( sXML_use_index_source_styles, "use-index-source-styles" );
XML_CONSTASCII_ACTION( sXML_use_keys_as_entries, "use-keys-as-entries" );
XML_CONSTASCII_ACTION( sXML_use_label, "use-label" );
XML_CONSTASCII_ACTION( sXML_use_math_objects, "use-math-objects" );
XML_CONSTASCII_ACTION( sXML_use_objects, "use-objects" );
XML_CONSTASCII_ACTION( sXML_use_optimal_column_width, "use-optimal-column-width");
XML_CONSTASCII_ACTION( sXML_use_optimal_row_height, "use-optimal-row-height");
XML_CONSTASCII_ACTION( sXML_use_other_objects, "use-other-objects" );
XML_CONSTASCII_ACTION( sXML_use_soft_page_breaks, "use-soft-page-breaks" );
XML_CONSTASCII_ACTION( sXML_use_spreadsheet_objects, "use-spreadsheet-objects" );
XML_CONSTASCII_ACTION( sXML_use_styles, "use-styles" );
XML_CONSTASCII_ACTION( sXML_use_tables, "use-tables" );
XML_CONSTASCII_ACTION( sXML_use_window_font_color, "use-window-font-color" );
XML_CONSTASCII_ACTION( sXML_used_hierarchy, "used-hierarchy");
XML_CONSTASCII_ACTION( sXML_user_defined, "user-defined" );
XML_CONSTASCII_ACTION( sXML_user_field_decl, "user-field-decl" );
XML_CONSTASCII_ACTION( sXML_user_field_decls, "user-field-decls" );
XML_CONSTASCII_ACTION( sXML_user_field_get, "user-field-get" );
XML_CONSTASCII_ACTION( sXML_user_field_input, "user-field-input" );
XML_CONSTASCII_ACTION( sXML_user_index, "user-index" );
XML_CONSTASCII_ACTION( sXML_user_index_entry_template, "user-index-entry-template" );
XML_CONSTASCII_ACTION( sXML_user_index_mark, "user-index-mark" );
XML_CONSTASCII_ACTION( sXML_user_index_mark_end, "user-index-mark-end" );
XML_CONSTASCII_ACTION( sXML_user_index_mark_start, "user-index-mark-start" );
XML_CONSTASCII_ACTION( sXML_user_index_source, "user-index-source" );
XML_CONSTASCII_ACTION( sXML_user_transformed, "user-transformed" );
XML_CONSTASCII_ACTION( sXML_username, "username");
XML_CONSTASCII_ACTION( sXML_value, "value");
XML_CONSTASCII_ACTION( sXML_value_type, "value-type");
XML_CONSTASCII_ACTION( sXML_values_cell_range_address, "values-cell-range-address" );
XML_CONSTASCII_ACTION( sXML_var, "var" );
XML_CONSTASCII_ACTION( sXML_variable, "variable" );
XML_CONSTASCII_ACTION( sXML_variable_decl, "variable-decl" );
XML_CONSTASCII_ACTION( sXML_variable_decls, "variable-decls" );
XML_CONSTASCII_ACTION( sXML_variable_get, "variable-get" );
XML_CONSTASCII_ACTION( sXML_variable_input, "variable-input" );
XML_CONSTASCII_ACTION( sXML_variable_set, "variable-set" );
XML_CONSTASCII_ACTION( sXML_variance, "variance" );
XML_CONSTASCII_ACTION( sXML_varp, "varp" );
XML_CONSTASCII_ACTION( sXML_vector, "vector" );
XML_CONSTASCII_ACTION( sXML_verb, "verb" );
XML_CONSTASCII_ACTION( sXML_version, "version" );
XML_CONSTASCII_ACTION( sXML_version_entry, "version-entry" );
XML_CONSTASCII_ACTION( sXML_version_list, "version-list" );
XML_CONSTASCII_ACTION( sXML_vertical, "vertical" );
XML_CONSTASCII_ACTION( sXML_vertical_align, "vertical-align" );
XML_CONSTASCII_ACTION( sXML_vertical_lines, "vertical-lines" );
XML_CONSTASCII_ACTION( sXML_vertical_pos, "vertical-pos" );
XML_CONSTASCII_ACTION( sXML_vertical_rel, "vertical-rel" );
XML_CONSTASCII_ACTION( sXML_vertical_segments, "vertical-segments" );
XML_CONSTASCII_ACTION( sXML_vertical_split_mode, "vertical-split-mode" );
XML_CONSTASCII_ACTION( sXML_vertical_split_position, "vertical-split-position" );
XML_CONSTASCII_ACTION( sXML_vertical_stripes, "vertical-stripes" );
XML_CONSTASCII_ACTION( sXML_view, "view" );
XML_CONSTASCII_ACTION( sXML_viewBox, "viewBox" );
XML_CONSTASCII_ACTION( sXML_view_id, "view-id" );
XML_CONSTASCII_ACTION( sXML_view_settings, "view-settings" );
XML_CONSTASCII_ACTION( sXML_visibility, "visibility" );
XML_CONSTASCII_ACTION( sXML_visible, "visible" );
XML_CONSTASCII_ACTION( sXML_visible_area, "visible-area" );
XML_CONSTASCII_ACTION( sXML_visible_area_height, "visible-area-height" );
XML_CONSTASCII_ACTION( sXML_visible_area_left, "visible-area-left" );
XML_CONSTASCII_ACTION( sXML_visible_area_top, "visible-area-top" );
XML_CONSTASCII_ACTION( sXML_visible_area_width, "visible-area-width" );
XML_CONSTASCII_ACTION( sXML_visited_style_name, "visited-style-name" );
XML_CONSTASCII_ACTION( sXML_volatile, "volatile" );
XML_CONSTASCII_ACTION( sXML_volume, "volume" );
XML_CONSTASCII_ACTION( sXML_vpn, "vpn");
XML_CONSTASCII_ACTION( sXML_vrp, "vrp");
XML_CONSTASCII_ACTION( sXML_vup, "vup");
XML_CONSTASCII_ACTION( sXML_wall, "wall" );
XML_CONSTASCII_ACTION( sXML_warning, "warning" );
XML_CONSTASCII_ACTION( sXML_watermark, "watermark" );
XML_CONSTASCII_ACTION( sXML_wavyline_from_bottom, "wavyline-from-bottom" );
XML_CONSTASCII_ACTION( sXML_wavyline_from_left, "wavyline-from-left" );
XML_CONSTASCII_ACTION( sXML_wavyline_from_right, "wavyline-from-right" );
XML_CONSTASCII_ACTION( sXML_wavyline_from_top, "wavyline-from-top" );
XML_CONSTASCII_ACTION( sXML_week_of_year, "week-of-year" );
XML_CONSTASCII_ACTION( sXML_weight_bold, "bold" );
XML_CONSTASCII_ACTION( sXML_weight_normal, "normal" );
XML_CONSTASCII_ACTION( sXML_white, "white" );
XML_CONSTASCII_ACTION( sXML_whole_page, "whole-page" );
XML_CONSTASCII_ACTION( sXML_widows, "widows" );
XML_CONSTASCII_ACTION( sXML_width, "width" );
XML_CONSTASCII_ACTION( sXML_word, "word" );
XML_CONSTASCII_ACTION( sXML_word_count, "word-count" );
XML_CONSTASCII_ACTION( sXML_wrap, "wrap" );
XML_CONSTASCII_ACTION( sXML_wrap_contour, "wrap-contour" );
XML_CONSTASCII_ACTION( sXML_wrap_contour_mode, "wrap-contour-mode" );
XML_CONSTASCII_ACTION( sXML_wrap_option, "wrap-option" );
XML_CONSTASCII_ACTION( sXML_writing_mode, "writing-mode" );
XML_CONSTASCII_ACTION( sXML_www, "www" );
XML_CONSTASCII_ACTION( sXML_x, "x" );
XML_CONSTASCII_ACTION( sXML_x1, "x1" );
XML_CONSTASCII_ACTION( sXML_x2, "x2" );
XML_CONSTASCII_ACTION( sXML_x_mac_roman, "x-mac-roman" );
XML_CONSTASCII_ACTION( sXML_x_symbol, "x-symbol" );
XML_CONSTASCII_ACTION( sXML_x_system, "x-system" );
XML_CONSTASCII_ACTION( sXML_xor, "xor" );
XML_CONSTASCII_ACTION( sXML_y, "y" );
XML_CONSTASCII_ACTION( sXML_y1, "y1" );
XML_CONSTASCII_ACTION( sXML_y2, "y2" );
XML_CONSTASCII_ACTION( sXML_year, "year" );
XML_CONSTASCII_ACTION( sXML_yellow, "yellow" );
XML_CONSTASCII_ACTION( sXML_zero_values, "zero-values" );
XML_CONSTASCII_ACTION( sXML_zindex, "z-index" );
XML_CONSTASCII_ACTION( sXML_zoom_type, "zoom-type" );
XML_CONSTASCII_ACTION( sXML_zoom_value, "zoom-value" );

XML_CONSTASCII_ACTION( sXML_start_shape, "start-shape");
XML_CONSTASCII_ACTION( sXML_start_glue_point, "start-glue-point");
XML_CONSTASCII_ACTION( sXML_end_shape, "end-shape");
XML_CONSTASCII_ACTION( sXML_end_glue_point, "end-glue-point");
XML_CONSTASCII_ACTION( sXML_line_number, "line-number");
XML_CONSTASCII_ACTION( sXML_line_skew, "line-skew");
XML_CONSTASCII_ACTION( sXML_curve, "curve" );
XML_CONSTASCII_ACTION( sXML_start_line_spacing_horizontal, "start-line-spacing-horizontal" );
XML_CONSTASCII_ACTION( sXML_start_line_spacing_vertical, "start-line-spacing-vertical" );
XML_CONSTASCII_ACTION( sXML_end_line_spacing_horizontal, "end-line-spacing-horizontal" );
XML_CONSTASCII_ACTION( sXML_end_line_spacing_vertical, "end-line-spacing-vertical" );
XML_CONSTASCII_ACTION( sXML_line_distance, "line-distance" );
XML_CONSTASCII_ACTION( sXML_guide_overhang, "guide-overhang" );
XML_CONSTASCII_ACTION( sXML_guide_distance, "guide-distance" );
XML_CONSTASCII_ACTION( sXML_start_guide, "start-guide" );
XML_CONSTASCII_ACTION( sXML_end_guide, "end-guide" );

XML_CONSTASCII_ACTION( sXML_dots1, "dots1" );
XML_CONSTASCII_ACTION( sXML_dots1_length, "dots1-length" );
XML_CONSTASCII_ACTION( sXML_dots2, "dots2" );
XML_CONSTASCII_ACTION( sXML_dots2_length, "dots2-length" );
XML_CONSTASCII_ACTION( sXML_enable_numbering, "enable-numbering" );

XML_CONSTASCII_ACTION( sXML_top_left, "top-left" );
XML_CONSTASCII_ACTION( sXML_top_right, "top-right" );
XML_CONSTASCII_ACTION( sXML_bottom_left, "bottom-left" );
XML_CONSTASCII_ACTION( sXML_bottom_right, "bottom-right" );

XML_CONSTASCII_ACTION( sXML_fill_image_ref_point,	"fill-image-ref-point" );
XML_CONSTASCII_ACTION( sXML_fill_image_ref_point_x, "fill-image-ref-point-x" );
XML_CONSTASCII_ACTION( sXML_fill_image_ref_point_y, "fill-image-ref-point-y" );

XML_CONSTASCII_ACTION( sXML_from_right, "from-right" );
XML_CONSTASCII_ACTION( sXML_from_bottom, "from-bottom" );
XML_CONSTASCII_ACTION( sXML_from_center, "from-center" );
XML_CONSTASCII_ACTION( sXML_from_upper_left, "from-upper-left" );
XML_CONSTASCII_ACTION( sXML_from_upper_right, "from-upper-right" );
XML_CONSTASCII_ACTION( sXML_from_lower_left, "from-lower-left" );
XML_CONSTASCII_ACTION( sXML_from_lower_right, "from-lower-right" );
XML_CONSTASCII_ACTION( sXML_to_left, "to-left" );
XML_CONSTASCII_ACTION( sXML_to_top, "to-top" );
XML_CONSTASCII_ACTION( sXML_to_right, "to-right" );
XML_CONSTASCII_ACTION( sXML_to_bottom, "to-bottom" );
XML_CONSTASCII_ACTION( sXML_to_upper_left, "to-upper-left" );
XML_CONSTASCII_ACTION( sXML_to_upper_right, "to-upper-right" );
XML_CONSTASCII_ACTION( sXML_to_lower_right, "to-lower-right" );
XML_CONSTASCII_ACTION( sXML_to_lower_left, "to-lower-left" );
XML_CONSTASCII_ACTION( sXML_to_center, "to-center" );
XML_CONSTASCII_ACTION( sXML_counter_clockwise, "counter-clockwise" );

XML_CONSTASCII_ACTION( sXML_fade, "fade" );
XML_CONSTASCII_ACTION( sXML_move, "move" );
XML_CONSTASCII_ACTION( sXML_stripes, "stripes" );
XML_CONSTASCII_ACTION( sXML_spiral_inward_left, "spiral-inward-left" );
XML_CONSTASCII_ACTION( sXML_spiral_inward_right, "spiral-inward-right" );
XML_CONSTASCII_ACTION( sXML_spiral_outward_left, "spiral-outward-left" );
XML_CONSTASCII_ACTION( sXML_spiral_outward_right, "spiral-outward-right" );
XML_CONSTASCII_ACTION( sXML_spiral, "spiral" );
XML_CONSTASCII_ACTION( sXML_spiral_in, "spiral-in" );
XML_CONSTASCII_ACTION( sXML_spiral_out, "spiral-out" );
XML_CONSTASCII_ACTION( sXML_wavyline, "wavyline" );
XML_CONSTASCII_ACTION( sXML_laser, "laser" );
XML_CONSTASCII_ACTION( sXML_appear, "appear" );
XML_CONSTASCII_ACTION( sXML_hide, "hide" );
XML_CONSTASCII_ACTION( sXML_move_short, "move-short" );
XML_CONSTASCII_ACTION( sXML_checkerboard, "checkerboard" );
XML_CONSTASCII_ACTION( sXML_stretch, "stretch" );

XML_CONSTASCII_ACTION( sXML_shape_id, "shape-id" );
XML_CONSTASCII_ACTION( sXML_effect, "effect" );
XML_CONSTASCII_ACTION( sXML_speed, "speed" );
XML_CONSTASCII_ACTION( sXML_start_scale, "start-scale" );
XML_CONSTASCII_ACTION( sXML_show_shape, "show-shape" );
XML_CONSTASCII_ACTION( sXML_show_text, "show-text" );
XML_CONSTASCII_ACTION( sXML_hide_shape, "hide-shape" );
XML_CONSTASCII_ACTION( sXML_hide_text, "hide-text" );
XML_CONSTASCII_ACTION( sXML_dim, "dim" );
XML_CONSTASCII_ACTION( sXML_sound, "sound" );
XML_CONSTASCII_ACTION( sXML_play_full, "play-full" );
XML_CONSTASCII_ACTION( sXML_path_id, "path-id" );

XML_CONSTASCII_ACTION( sXML_animations, "animations" );

XML_CONSTASCII_ACTION( sXML_kind, "kind" );
XML_CONSTASCII_ACTION( sXML_start_angle, "start-angle" );
XML_CONSTASCII_ACTION( sXML_cut, "cut" );
XML_CONSTASCII_ACTION( sXML_arc, "arc" );

XML_CONSTASCII_ACTION( sXML_upright, "upright" );
XML_CONSTASCII_ACTION( sXML_slant_x, "slant-x" );
XML_CONSTASCII_ACTION( sXML_slant_y, "slant-y" );
XML_CONSTASCII_ACTION( sXML_autosize, "autosize" );
XML_CONSTASCII_ACTION( sXML_slant, "slant" );
XML_CONSTASCII_ACTION( sXML_topcircle, "top-circle" );
XML_CONSTASCII_ACTION( sXML_bottomcircle, "bottom-circle" );
XML_CONSTASCII_ACTION( sXML_leftcircle, "left-circle" );
XML_CONSTASCII_ACTION( sXML_rightcircle, "right-circle" );
XML_CONSTASCII_ACTION( sXML_toparc, "top-arc" );
XML_CONSTASCII_ACTION( sXML_bottomarc, "bottom-arc" );
XML_CONSTASCII_ACTION( sXML_leftarc, "left-arc" );
XML_CONSTASCII_ACTION( sXML_rightarc, "right-arc" );
XML_CONSTASCII_ACTION( sXML_button1, "button1" );
XML_CONSTASCII_ACTION( sXML_button2, "button2" );
XML_CONSTASCII_ACTION( sXML_button3, "button3" );
XML_CONSTASCII_ACTION( sXML_button4, "button4" );

XML_CONSTASCII_ACTION( sXML_caption_type, "caption-type" );
XML_CONSTASCII_ACTION( sXML_caption_angle_type, "caption-angle-type" );
XML_CONSTASCII_ACTION( sXML_caption_angle, "caption-angle" );
XML_CONSTASCII_ACTION( sXML_caption_gap, "caption-gap" );
XML_CONSTASCII_ACTION( sXML_caption_escape_direction, "caption-escape-direction" );
XML_CONSTASCII_ACTION( sXML_caption_escape, "caption-escape" );
XML_CONSTASCII_ACTION( sXML_caption_line_length, "caption-line-length" );
XML_CONSTASCII_ACTION( sXML_caption_fit_line_length, "caption-fit-line-length" );
XML_CONSTASCII_ACTION( sXML_free, "free" );

XML_CONSTASCII_ACTION( sXML_straight_line, "straight-line" );
XML_CONSTASCII_ACTION( sXML_angled_line, "angled-line" );
XML_CONSTASCII_ACTION( sXML_angled_connector_line, "angled-connector-line" );

XML_CONSTASCII_ACTION( sXML_data_source_has_labels, "data-source-has-labels" );

XML_CONSTASCII_ACTION( sXML_play, "play" );
XML_CONSTASCII_ACTION( sXML_handout_master, "handout-master" );

XML_CONSTASCII_ACTION( sXML_escape_direction, "escape-direction" );
XML_CONSTASCII_ACTION( sXML_glue_point, "glue-point" );

XML_CONSTASCII_ACTION( sXML_text_style_name, "text-style-name" );

XML_CONSTASCII_ACTION( sXML_sort_algorithm, "sort-algorithm" );
XML_CONSTASCII_ACTION( sXML_roll_from_top, "roll-from-top" );

XML_CONSTASCII_ACTION( sXML_script_data, "script-data" );
XML_CONSTASCII_ACTION( sXML_libraries, "libraries" );
XML_CONSTASCII_ACTION( sXML_source_code, "source-code" );
XML_CONSTASCII_ACTION( sXML_readonly, "readonly" );

XML_CONSTASCII_ACTION( sXML_page_continuation, "page-continuation" );

XML_CONSTASCII_ACTION( sXML_contains, "contains" );
XML_CONSTASCII_ACTION( sXML_does_not_contain, "does-not-contain" );
XML_CONSTASCII_ACTION( sXML_begins_with, "begins-with" );
XML_CONSTASCII_ACTION( sXML_does_not_begin_with, "does-not-begin-with" );
XML_CONSTASCII_ACTION( sXML_ends_with, "ends-with" );
XML_CONSTASCII_ACTION( sXML_does_not_end_with, "does-not-end-with" );

#endif
